<?php
error_reporting(E_ERROR | E_PARSE);
//get last order
include 'isdk.php';
include 'tracking/Contact_Tracker.php';
$MyApp = new iSDK;
$MyApp->cfgCon("purchase");

echo '<pre>';
if (ob_get_level() == 0) ob_start();

$tracker = new Contact_Tracker($MyApp);


$numberOfIt = $tracker->getLeadsIterations();
if(!$numberOfIt){
	ob_flush();
	flush();
	echo 'Error on getting number of iterations';
	exit;
}

for($currentPage=1;$currentPage<=$numberOfIt;$currentPage++){
	//get last id
	$lastId = $tracker->getLastContactIdFromLeads();

	//get contact ids
	$ids = $tracker->getContactIds($lastId);

	//get leads from ifs
	$IFSleads = $tracker->getIFSLeads($ids);

	//upload ifs leads to the DB
	$uploaded = $tracker->uploadLeads($IFSleads);

	ob_flush();
	flush();
	if($uploaded){
		echo "Page ".$currentPage." of ".$numberOfIt." uploaded\n";
	}else{
		echo "Error during uploading:\n";
		echo $uploaded;
		echo "\n";
	}
	unset($pdo);
	sleep(7);
}