<?php
error_reporting(E_ERROR | E_PARSE);
//get last order
include 'isdk.php';
include 'tracking/Contact_Tracker.php';
$MyApp = new iSDK;
$MyApp->cfgCon("purchase");

//tag to mass load
$tagId = 8867;
if (ob_get_level() == 0) ob_start();

$tracker = new Contact_Tracker($MyApp);
//get number of iterations
$numberOfIt = $tracker->getNumberOfTagIterations($tagId);
if(!$numberOfIt){
	ob_flush();
	flush();
	echo 'Error on getting number of iterrations';
	exit;
}

for($currentPage=1;$currentPage<=$numberOfIt;$currentPage++){
	//get last id
	$lastId = $tracker->getLastContactIdFromTags($tagId);

	//get tags from the ifs
	$loadedTags = $tracker->loadTags($tagId, $lastId);

	//upload ifs tags to the DB
	$uploaded = $tracker->uploadTags($loadedTags);

	ob_flush();
	flush();
	if($uploaded){
		echo "Page ".$currentPage." of ".$numberOfIt." uploaded\n";
	}else{
		echo "Error during uploading:\n";
		echo $uploaded;
		echo "\n";
	}
	unset($pdo);
	sleep(7);
}