<?php
error_reporting(E_ERROR | E_PARSE);
function getParameter($name){
	return isset($_POST[$name]) ? intval($_POST[$name]) : false;
}

function setFunnelName($funnelName, $orderId, $ifs){
	$fields = array('_FunnelName'  => $funnelName);
	$ifs->dsUpdate("Job", $orderId, $fields);
	return true;
}

$codes = [
	'paulspecial' => 'Tour - Paul',
	'debbiespecial' => 'Phone sale - Debbie',
	'michaelspecial' => 'Phone sale - Michael',
	'trixiespecial' => 'Phone sale - Trixie',
	'vivianspecial' => 'Phone sale - Vivian',
	'ellenspecial' => 'Phone sale - Ellen',
	'lisaspecial' => 'Phone sale - Lisa',
	'csspecial' => 'CS Backdoor Code',
	'lastchance' => '10-59 - PXO Training - LastChance',
	'razaspecial' => 'Tour - Raza',
];

$forms = [
	358 => '10-28 - The PowerX Strategy Book',
	370 => '10-44 - PowerX Optimizer - Everwebinar',
	372 => '10-45 - 2020 Webinar',
	374 => '10-46 - Power Alerts Launch',
	376 => '10-46 - Power Alerts Launch',
	378 => '10-46 - Power Alerts Full Price',
	380 => '10-47 - Rockwell Birthday',
	384 => '10-28 - The PowerX Strategy Book',


];

$contactId = getParameter('contactId');

if(!$contactId){
	exit;
}

require_once 'isdk.php';
$MyApp = new iSDK;
$MyApp->cfgCon("purchase");

//get last invoice
$returnFields = array('PromoCode','JobId', 'Id', 'ContactId');
$query = array('ContactId' => $contactId);
$invoices = $MyApp->dsQuery("Invoice",200,0,$query,$returnFields);

//var_dump($invoices);

if(empty($invoices) || !is_array($invoices)){
	exit;
}

$max = $invoices[0]['Id'];
$lastInvoice = $invoices[0];

foreach($invoices as $invoice){
	if($invoice['Id']>$max){
		$lastInvoice = $invoice;
	}
}

//_FunnelName


var_dump($lastInvoice);

$funnelName = false;

//promo coode
if($lastInvoice['PromoCode']){
	foreach($codes as $code => $name){
		if (strpos($lastInvoice['PromoCode'], $code) !== false) {
			$funnelName = $name;
			break;
		}
	}
}
if($funnelName){
	setFunnelName($funnelName,$lastInvoice['JobId'], $MyApp);
	exit;
}


//title
$returnFields = array('JobTitle','_FormID1','_FunnelName');
$query = array('Id' => $lastInvoice['JobId']);
$orders = $MyApp->dsQuery("Job",200,0,$query,$returnFields);

var_dump($orders);

if(empty($orders) || !is_array($orders)){
	exit;
}
$title = $orders[0]['JobTitle'];
$formId = $orders[0]['_FormID1'];
if($title == 'Event Sale'){
	$funnelName = 'Event Sale';
}

if($funnelName){
	setFunnelName($funnelName,$lastInvoice['JobId'], $MyApp);
	exit;
}


//formId
if(!$formId){
	$funnelName = 'Manual Sale';
	setFunnelName($funnelName,$lastInvoice['JobId'], $MyApp);
}

exit;