<?php
error_reporting(E_ERROR | E_PARSE);
//get last order
include 'isdk.php';
$MyApp = new iSDK;
$MyApp->cfgCon("purchase");

// https://rockwell.infusionsoft.com/Contact/manageContact.jsp?view=edit&ID=1508462
$contactId = intval($_POST['contactId']);
if(!$contactId){
	exit;
}

//actions: pxs,pxo,mm

//default - pxs
$productId = ['634'];
$customField = '_DaystoPXS';

if($_POST['action'] == 'pxo'){
	$productId = ['624'];
	$customField = '_DaystoPXO';
}

if($_POST['action'] == 'mm'){
	$productId = ['609', '611', '613', '615', '644', '650', '652', '654', '520', '522'];
	$customField = '_DaystoMM';
}

//get PXS order date

$returnFieldsJobs = ['ProductSold','ContactId', 'DateCreated' ];
//$queryJobs = ['ProductId'=>$productId, 'ContactId'=>$contactId];
$queryJobs = ['ContactId'=>$contactId];
$jobs = $MyApp->dsQuery("Invoice",1000,0,$queryJobs,$returnFieldsJobs);
$jobFound = false;
foreach($jobs as $job){
	foreach($productId as $product){
		if (strpos($job['ProductSold'], $product) !== false) {
			$jobFound = $job;
			break;
		}
	}
}
if(!$jobFound){
	exit;
}


$dateOrder = strtotime($jobFound['DateCreated']);


$returnFieldsContact = ['DateCreated'];
$conDat = $MyApp->loadCon($contactId, $returnFieldsContact);
if(!$conDat){
	exit;
}
$dateCont = strtotime($conDat['DateCreated']);

$days = intval(floor(($dateOrder - $dateCont) / (60*60*24)));


$conDat = [$customField => $days];
$MyApp->updateCon($contactId, $conDat);

