<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Counter</title>
	<link rel="stylesheet" href="flip.min.css" />
	<link href="all.min.css" rel="stylesheet">
	<script src="flip.min.js"></script>
	<style>
		html,body{
			height:100%;
			padding:0;
			margin: 0;
		}
		.box {
			height: 100%;
			padding: 0;
			margin: 0;
			display: -webkit-box;
			display: -moz-box;
			display: -ms-flexbox;
			display: -webkit-flex;
			display: flex;
			/*align-items: center;*/
			justify-content: center;
		}

		.box .counter-wrap {
			padding: 5px;
			margin: 10px;
			line-height: 20px;
			color: white;
			font-weight: bold;
			font-size: 2em;
			text-align: center;
		}
		.tick {
			font-size: 220px;
		}
		.logo{display:block; margin:20px auto 50px; max-width:350px;}
		.row {margin-top:50px; display:flex;justify-content: center;align-items: center;}
		.column {color:#909090; font-family: "Helvetica Neue", Helvetica, Arial, sans-serif; font-size:50px; line-height:94px;margin: 0 10px;}

		.thumbnail {display:block; max-height:43px; margin: 0 auto;}

	</style>
</head>
<body>
<div class="box">
	<div class="counter-wrap">
		<img class="logo" src="logo-hq.png" alt="">
		<div class="tick"
		     data-value="0"
		     data-did-init="setupFlip">
			<div data-repeat="true" id="counter" data-transform="pad(000)">
				<span data-view="flip"></span>
			</div>
		</div>
		<div class="row">
			<div class="column"><img class="thumbnail" src="https://www.rockwelltrading.com/wp-content/uploads/yt-like-grey.png" alt=""></div>
			<div class="column">Like</div>
		</div>

	</div>
</div>



</body>

<script>
    function setupFlip(tick) {
         Tick.helper.interval(function() {
             var videoId='<?=$_GET['video']?>';
             if(videoId){
	             Tick.data.request(
	                 'https://rockwellbootcamp.com/counter/call.php?video='+videoId,
	                 function(response) {
	                     var obj = JSON.parse(response);
	                     if(obj.number && obj.number>0){
	                        tick.value = obj.number;
	                     }
	                 }
	             );
             }

         }, 4000);
    }
</script>
</html>