<?php

define("TRACK_SCRIPTS", "1"); // ******* Remember: set to "1" for tracking scripts ON ... set to "0" for OFF

## Define Constants ##
define("VENUE_DAYS", "4"); // ******* How many days is the event? 1, 2, 3 or 4 ?
define("URL_SLUG", "texas"); // What is the URL slug AFTER the /e/slug-here? (ie.  /e/phoenix/)

## Define venue and time using a number if available
## define("REGISTERED_EVENT", $registered_event);

## Venue Images ## # example path /e/DMA/images/image.jpg
define("IMG_VENUE_1", "//rockwellbootcamp.com/e/texas/images/doubletree-by-hilton-austin.jpg");
define("IMG_VENUE_2", "//rockwellbootcamp.com/e/texas/images/hilton-houston-galleria.jpg");
define("IMG_VENUE_3", "//rockwellbootcamp.com/e/texas/images/doubletree-hilton-san-antonio.jpg");
define("IMG_VENUE_4", "//rockwellbootcamp.com/e/texas/images/doubletree-hilton-dallas.jpg");
define("IMG_VENUE_5", "");

## Venue Map Links ## # example short link https://goo.gl/maps/ZM51T6uQDAS2
define("MAP_VENUE_1", "https://goo.gl/maps/kaV5sPU91on"); 
define("MAP_VENUE_2", "https://goo.gl/maps/4f5nxbeZo3u");
define("MAP_VENUE_3", "https://goo.gl/maps/jRFFji5cqMq");
define("MAP_VENUE_4", "https://goo.gl/maps/SnEeA4puJR62");
define("MAP_VENUE_5", "");

## Define InfusionSoft for MAIN registration ##
define("INF_ACTION", "https://rockwell.infusionsoft.com/app/form/process/2549d435006bd533f7841a0a4d1d5ce9");
define("INF_XID", "2549d435006bd533f7841a0a4d1d5ce9");
define("INF_NAME", "Texas");
define("INF_VERSION", "1.64.0.48");
define("INF_TRACK", "https://rockwell.infusionsoft.com/app/webTracking/getTrackingCode");

## Define InfusionSoft for GUEST registration ##
define("INF_ACTION_GUEST", "#");
define("INF_XID_GUEST", "#");
define("INF_NAME_GUEST", "#");
define("INF_VERSION_GUEST", "#");
define("INF_TRACK_GUEST", "#");

## Define Session Start Times ##
define("VENUE_START_1", "12:30 PM"); // Start 1
define("VENUE_START_2", "6:00 PM");  // Start 2
define("VENUE_START_3", "10:30 AM"); // Not used
define("VENUE_START_4", "2:00 PM");  // Not used

## Define Venue 1 ##
define("VENUE_BUILDING_1", "Doubletree by Hilton Austin");
define("VENUE_ADDRESS_1", "6505 North Interstate 35");
define("VENUE_CITY_1", "Austin");
define("VENUE_STATE_1", "TX");
define("VENUE_ZIP_1", "78752");
define("VENUE_COUNTRY_1", "United States");
define("VENUE_PHONE_1", "512-454-3737");		
define("VENUE_DAY_1", "Saturday");
define("VENUE_MONTH_1", "May");
define("VENUE_DATE_1", "13");
define("VENUE_YEAR_1", "2017");
define("VENUE_FREE_DATE_1", "05-13-2017");

## Define Venue 2 ##
define("VENUE_BUILDING_2", "Hilton Houston Galleria Area");
define("VENUE_ADDRESS_2", "6780 Southwest Fwy");
define("VENUE_CITY_2", "Houston");
define("VENUE_STATE_2", "TX");
define("VENUE_ZIP_2", "77074");
define("VENUE_COUNTRY_2", "United States");
define("VENUE_PHONE_2", "713-977-7911");
define("VENUE_DAY_2", "Monday");
define("VENUE_MONTH_2", "May");
define("VENUE_DATE_2", "15");
define("VENUE_YEAR_2", "2017");
define("VENUE_FREE_DATE_2", "05-15-2017");

## Define Venue 3 ##
define("VENUE_BUILDING_3", "DoubleTree by Hilton San Antonio");
define("VENUE_ADDRESS_3", "37 NE Interstate 410 Loop");
define("VENUE_CITY_3", "San Antonio");
define("VENUE_STATE_3", "TX");
define("VENUE_ZIP_3", "78216");
define("VENUE_COUNTRY_3", "United States");
define("VENUE_PHONE_3", "210-366-2424");
define("VENUE_DAY_3", "Tuesday");
define("VENUE_MONTH_3", "May");
define("VENUE_DATE_3", "16");
define("VENUE_YEAR_3", "2017");
define("VENUE_FREE_DATE_3", "05-16-2017");

## Define Venue 4 ##
define("VENUE_BUILDING_4", "DoubleTree by Hilton Dallas");
define("VENUE_ADDRESS_4", "4099 Valley View Lane");
define("VENUE_CITY_4", "Dallas");
define("VENUE_STATE_4", "TX");
define("VENUE_ZIP_4", "75244");
define("VENUE_COUNTRY_4", "United States");
define("VENUE_PHONE_4", "972-385-9000");	
define("VENUE_DAY_4", "Wednesday");
define("VENUE_MONTH_4", "May");
define("VENUE_DATE_4", "17");
define("VENUE_YEAR_4", "2017");
define("VENUE_FREE_DATE_4", "05-17-2017");

## Define Venue 5 ## NOT USED
define("VENUE_BUILDING_5", "");
define("VENUE_ADDRESS_5", "");
define("VENUE_CITY_5", "");
define("VENUE_STATE_5", "");
define("VENUE_ZIP_5", "");
define("VENUE_COUNTRY_5", "");
define("VENUE_PHONE_5", "");	
define("VENUE_DAY_5", "");
define("VENUE_MONTH_5", "");
define("VENUE_DATE_5", "");
define("VENUE_YEAR_5", "");
define("VENUE_FREE_DATE_5", "");

##################################################
##                                              ##
## *************** STOP EDITING *************** ##
##                                              ##
##################################################

// Venue #1
if(VENUE_DAYS == "1" || VENUE_DAYS == "2" || VENUE_DAYS == "3" || VENUE_DAYS == "4" || VENUE_DAYS == "5"){
	// Form 1 - Venue 1
	$_1_venue_building_1 = VENUE_BUILDING_1;
	$_1_venue_address_1 = VENUE_ADDRESS_1;
	$_1_venue_city_1 = VENUE_CITY_1;
	$_1_venue_state_1 = VENUE_STATE_1;
	$_1_venue_zip_1 = VENUE_ZIP_1;
	$_1_venue_country_1 = VENUE_COUNTRY_1;
	$_1_venue_phone_1 = VENUE_PHONE_1;
	$_1_venue_day_1 = VENUE_DAY_1;
	$_1_venue_month_1 = VENUE_MONTH_1;
	$_1_venue_date_1 = VENUE_DATE_1;
	$_1_venue_year_1 = VENUE_YEAR_1;
	$_1_free_event_date_1 = VENUE_FREE_DATE_1;
	$_1_venue_full_date_1 = $_1_venue_day_1." ".$_1_venue_month_1." ".$_1_venue_date_1.", ".$_1_venue_year_1;
	$_1_workshop_day_date_1 = $_1_venue_day_1." ".$_1_venue_month_1." ".$_1_venue_date_1;
	// Form 2 - Venue 1
	$_2_venue_building_1 = VENUE_BUILDING_1;
	$_2_venue_address_1 = VENUE_ADDRESS_1;
	$_2_venue_city_1 = VENUE_CITY_1;
	$_2_venue_state_1 = VENUE_STATE_1;
	$_2_venue_zip_1 = VENUE_ZIP_1;
	$_2_venue_country_1 = VENUE_COUNTRY_1;
	$_2_venue_phone_1 = VENUE_PHONE_1;
	$_2_venue_day_1 = VENUE_DAY_1;
	$_2_venue_month_1 = VENUE_MONTH_1;
	$_2_venue_date_1 = VENUE_DATE_1;
	$_2_venue_year_1 = VENUE_YEAR_1;
	$_2_free_event_date_1 = VENUE_FREE_DATE_1;
	$_2_venue_full_date_1 = $_2_venue_day_1." ".$_2_venue_month_1." ".$_2_venue_date_1.", ".$_2_venue_year_1;
	$_2_workshop_day_date_1 = $_2_venue_day_1." ".$_2_venue_month_1." ".$_2_venue_date_1;
}
// Venue #2
if(VENUE_DAYS == "2" || VENUE_DAYS == "3" || VENUE_DAYS == "4" || VENUE_DAYS == "5"){
	// Form 1 - Venue 2
	$_1_venue_building_2 = VENUE_BUILDING_2;
	$_1_venue_address_2 = VENUE_ADDRESS_2;
	$_1_venue_city_2 = VENUE_CITY_2;
	$_1_venue_state_2 = VENUE_STATE_2;
	$_1_venue_zip_2 = VENUE_ZIP_2;
	$_1_venue_country_2 = VENUE_COUNTRY_2;
	$_1_venue_phone_2 = VENUE_PHONE_2;
	$_1_venue_day_2 = VENUE_DAY_2;
	$_1_venue_month_2 = VENUE_MONTH_2;
	$_1_venue_date_2 = VENUE_DATE_2;
	$_1_venue_year_2 = VENUE_YEAR_2;
	$_1_free_event_date_2 = VENUE_FREE_DATE_2;
	$_1_venue_full_date_2 = $_1_venue_day_2." ".$_1_venue_month_2." ".$_1_venue_date_2.", ".$_1_venue_year_2;
	$_1_workshop_day_date_2 = $_1_venue_day_2." ".$_1_venue_month_2." ".$_1_venue_date_2;
	// Form 2 - Venue 2
	$_2_venue_building_2 = VENUE_BUILDING_2;
	$_2_venue_address_2 = VENUE_ADDRESS_2;
	$_2_venue_city_2 = VENUE_CITY_2;
	$_2_venue_state_2 = VENUE_STATE_2;
	$_2_venue_zip_2 = VENUE_ZIP_2;
	$_2_venue_country_2 = VENUE_COUNTRY_2;
	$_2_venue_phone_2 = VENUE_PHONE_2;
	$_2_venue_day_2 = VENUE_DAY_2;
	$_2_venue_month_2 = VENUE_MONTH_2;
	$_2_venue_date_2 = VENUE_DATE_2;
	$_2_venue_year_2 = VENUE_YEAR_2;
	$_2_free_event_date_2 = VENUE_FREE_DATE_2;
	$_2_venue_full_date_2 = $_2_venue_day_2." ".$_2_venue_month_2." ".$_2_venue_date_2.", ".$_2_venue_year_2;
	$_2_workshop_day_date_2 = $_2_venue_day_2." ".$_2_venue_month_2." ".$_2_venue_date_2;
}
// Venue #3
if(VENUE_DAYS == "3" || VENUE_DAYS == "4" || VENUE_DAYS == "5"){
	// Form 1 - Venue 3
	$_1_venue_building_3 = VENUE_BUILDING_3;
	$_1_venue_address_3 = VENUE_ADDRESS_3;
	$_1_venue_city_3 = VENUE_CITY_3;
	$_1_venue_state_3 = VENUE_STATE_3;
	$_1_venue_zip_3 = VENUE_ZIP_3;
	$_1_venue_country_3 = VENUE_COUNTRY_3;
	$_1_venue_phone_3 = VENUE_PHONE_3;
	$_1_venue_day_3 = VENUE_DAY_3;
	$_1_venue_month_3 = VENUE_MONTH_3;
	$_1_venue_date_3 = VENUE_DATE_3;
	$_1_venue_year_3 = VENUE_YEAR_3;
	$_1_free_event_date_3 = VENUE_FREE_DATE_3;
	$_1_venue_full_date_3 = $_1_venue_day_3." ".$_1_venue_month_3." ".$_1_venue_date_3.", ".$_1_venue_year_3;
	$_1_workshop_day_date_3 = $_1_venue_day_3." ".$_1_venue_month_3." ".$_1_venue_date_3;
	// Form 2 - Venue 3
	$_2_venue_building_3 = VENUE_BUILDING_3;
	$_2_venue_address_3 = VENUE_ADDRESS_3;
	$_2_venue_city_3 = VENUE_CITY_3;
	$_2_venue_state_3 = VENUE_STATE_3;
	$_2_venue_zip_3 = VENUE_ZIP_3;
	$_2_venue_country_3 = VENUE_COUNTRY_3;
	$_2_venue_phone_3 = VENUE_PHONE_3;
	$_2_venue_day_3 = VENUE_DAY_3;
	$_2_venue_month_3 = VENUE_MONTH_3;
	$_2_venue_date_3 = VENUE_DATE_3;
	$_2_venue_year_3 = VENUE_YEAR_3;
	$_2_free_event_date_3 = VENUE_FREE_DATE_3;
	$_2_venue_full_date_3 = $_2_venue_day_3." ".$_2_venue_month_3." ".$_2_venue_date_3.", ".$_2_venue_year_3;
	$_2_workshop_day_date_3 = $_2_venue_day_3." ".$_2_venue_month_3." ".$_2_venue_date_3;
}
// Venue #4
if(VENUE_DAYS == "4" || VENUE_DAYS == "5"){
	// Form 1 - Venue 4
	$_1_venue_building_4 = VENUE_BUILDING_4;
	$_1_venue_address_4 = VENUE_ADDRESS_4;
	$_1_venue_city_4 = VENUE_CITY_4;
	$_1_venue_state_4 = VENUE_STATE_4;
	$_1_venue_zip_4 = VENUE_ZIP_4;
	$_1_venue_country_4 = VENUE_COUNTRY_4;
	$_1_venue_phone_4 = VENUE_PHONE_4;
	$_1_venue_day_4 = VENUE_DAY_4;
	$_1_venue_month_4 = VENUE_MONTH_4;
	$_1_venue_date_4 = VENUE_DATE_4;
	$_1_venue_year_4 = VENUE_YEAR_4;
	$_1_free_event_date_4 = VENUE_FREE_DATE_4;
	$_1_venue_full_date_4 = $_1_venue_day_4." ".$_1_venue_month_4." ".$_1_venue_date_4.", ".$_1_venue_year_4;
	$_1_workshop_day_date_4 = $_1_venue_day_4." ".$_1_venue_month_4." ".$_1_venue_date_4;
	// Form 2 - Venue 4
	$_2_venue_building_4 = VENUE_BUILDING_4;
	$_2_venue_address_4 = VENUE_ADDRESS_4;
	$_2_venue_city_4 = VENUE_CITY_4;
	$_2_venue_state_4 = VENUE_STATE_4;
	$_2_venue_zip_4 = VENUE_ZIP_4;
	$_2_venue_country_4 = VENUE_COUNTRY_4;
	$_2_venue_phone_4 = VENUE_PHONE_4;
	$_2_venue_day_4 = VENUE_DAY_4;
	$_2_venue_month_4 = VENUE_MONTH_4;
	$_2_venue_date_4 = VENUE_DATE_4;
	$_2_venue_year_4 = VENUE_YEAR_4;
	$_2_free_event_date_4 = VENUE_FREE_DATE_4;
	$_2_venue_full_date_4 = $_2_venue_day_4." ".$_2_venue_month_4." ".$_2_venue_date_4.", ".$_2_venue_year_4;
	$_2_workshop_day_date_4 = $_2_venue_day_4." ".$_2_venue_month_4." ".$_2_venue_date_4;
}

// Venue #5
if(VENUE_DAYS == "5"){
	// Form 1 - Venue 5
	$_1_venue_building_5 = VENUE_BUILDING_5;
	$_1_venue_address_5 = VENUE_ADDRESS_5;
	$_1_venue_city_5 = VENUE_CITY_5;
	$_1_venue_state_5 = VENUE_STATE_5;
	$_1_venue_zip_5 = VENUE_ZIP_5;
	$_1_venue_country_5 = VENUE_COUNTRY_5;
	$_1_venue_phone_5 = VENUE_PHONE_5;
	$_1_venue_day_5 = VENUE_DAY_5;
	$_1_venue_month_5 = VENUE_MONTH_5;
	$_1_venue_date_5 = VENUE_DATE_5;
	$_1_venue_year_5 = VENUE_YEAR_5;
	$_1_free_event_date_5 = VENUE_FREE_DATE_5;
	$_1_venue_full_date_5 = $_1_venue_day_5." ".$_1_venue_month_5." ".$_1_venue_date_5.", ".$_1_venue_year_5;
	$_1_workshop_day_date_5 = $_1_venue_day_5." ".$_1_venue_month_5." ".$_1_venue_date_5;
	// Form 2 - Venue 5
	$_2_venue_building_5 = VENUE_BUILDING_5;
	$_2_venue_address_5 = VENUE_ADDRESS_5;
	$_2_venue_city_5 = VENUE_CITY_5;
	$_2_venue_state_5 = VENUE_STATE_5;
	$_2_venue_zip_5 = VENUE_ZIP_5;
	$_2_venue_country_5 = VENUE_COUNTRY_5;
	$_2_venue_phone_5 = VENUE_PHONE_5;
	$_2_venue_day_5 = VENUE_DAY_5;
	$_2_venue_month_5 = VENUE_MONTH_5;
	$_2_venue_date_5 = VENUE_DATE_5;
	$_2_venue_year_5 = VENUE_YEAR_5;
	$_2_free_event_date_5 = VENUE_FREE_DATE_5;
	$_2_venue_full_date_5 = $_2_venue_day_5." ".$_2_venue_month_5." ".$_2_venue_date_5.", ".$_2_venue_year_5;
	$_2_workshop_day_date_5 = $_2_venue_day_5." ".$_2_venue_month_5." ".$_2_venue_date_5;
}

// GUEST Form - Infusionsoft Info
$inf_form_action_guest = INF_ACTION_GUEST;
$inf_form_xid_guest = INF_XID_GUEST;
$inf_form_name_guest = INF_NAME_GUEST;
$inf_version_guest = INF_VERSION_GUEST;
$inf_webTracking_guest = INF_TRACK_GUEST;

// Form 1 - InfusionSoft Info
$_1_inf_action = INF_ACTION;
$_1_inf_form_xid = INF_XID;
$_1_inf_form_name = INF_NAME;
$_1_inf_version = INF_VERSION;
$_1_inf_track = INF_TRACK;

// Form 2 - InfusionSoft Info
$_2_inf_action = INF_ACTION;
$_2_inf_form_xid = INF_XID;
$_2_inf_form_name = INF_NAME;
$_2_inf_version = INF_VERSION;
$_2_inf_track = INF_TRACK;

// Form 1 - Session Start Times
$_1_venue_start_1 = VENUE_START_1;
$_1_venue_start_2 = VENUE_START_2;
$_1_venue_start_3 = VENUE_START_3;
$_1_venue_start_4 = VENUE_START_4;
$_1_venue_start_1_txt = " (afternoon)";
$_1_venue_start_2_txt = " (evening)";
$_1_venue_start_3_txt = " (morning)";

// Session Start Times
$_2_venue_start_1 = VENUE_START_1;
$_2_venue_start_2 = VENUE_START_2;
$_2_venue_start_3 = VENUE_START_3;
$_2_venue_start_4 = VENUE_START_4;
$_2_venue_start_1_txt = " (afternoon)";
$_2_venue_start_2_txt = " (evening)";
$_2_venue_start_3_txt = " (morning)";

// Form 1 - UTM Data
$_1_utm_campaign = (isset($_GET['utm_campaign']));
$_1_utm_source = (isset($_GET['utm_source']));
$_1_utm_medium = (isset($_GET['utm_medium']));
$_1_utm_term = (isset($_GET['utm_term']));
$_1_utm_content = (isset($_GET['utm_content']));
$_1_aff_referral = "0";

// Form 2 - UTM Data
$_2_utm_campaign = (isset($_GET['utm_campaign']));
$_2_utm_source = (isset($_GET['utm_source']));
$_2_utm_medium = (isset($_GET['utm_medium']));
$_2_utm_term = (isset($_GET['utm_term']));
$_2_utm_content = (isset($_GET['utm_content']));
$_2_aff_referral = "0";
?>