<?php
Class admin extends Controller {
    public $ajax = false;

    public function __construct(){
        parent::__construct();
        $this->ajax = new ajax();
        return true;
    }
    public function index(){
        $user = Current::getCurrent()->getUser();
        $isSummitManager = $this->utility->checkUserPermissions($user,'40');
        if($isSummitManager){
            $this->utility->redirect('/event/');
            return false;
        }
        $isLBManager = $this->utility->checkUserPermissions($user,'50');
        if($isLBManager){
            $this->utility->redirect('/mastermind/lb/');
            return false;
        }
        $isAllowed = $this->utility->checkUserPermissions($user,'10,20,30');
        if(!$isAllowed){
            View::set404();
            return false;
        }
        $this->utility->redirect('/event/');
        return true;
    }

}