<?php
/**
 * Created by PhpStorm.
 * User: alex
 * Date: 10/2/18
 * Time: 17:37
 */

Class script extends Controller {
	public function __construct(){
		parent::__construct();
		return true;
	}

	public function calendar(){
		header('Content-Type: application/x-javascript');
		$bootcampId = intval($_GET['bootId']);
		$bootcamp = $this->model->getSession($bootcampId);
		if(!$bootcamp){
			echo '';
			return false;
		}
		$data = [];
		$data['timeString'] = $this->model->sessionTimeString($bootcamp);
		$data['location'] = $this->model->sessionLocation($bootcamp);
		$data['description'] = $this->model->sessionDesc();
		$data['title'] = $this->model->sessionTitle();
		$data['duration'] = $this->model->sessionDuration();
		$this->view->renderBlank('calendar',$data);
		return true;
	}

	public function form(){
		header('Content-Type: application/x-javascript');
		$sessionId = intval($_GET['session']);
		$session = $this->model->getSession($sessionId);
		if(!$session){
			echo 'window.location.href=https://www.rockwelltrading.com/offerhasexpired/';
			return false;
		}
		$data = $this->model->getFormData($session);
		$this->view->renderBlank('ifs-live',$data);
		return true;
	}

}