<?php
Class tag extends Controller{

    public function __construct(){
        parent::__construct();
        return true;
    }

    public function index(){
        $user = Current::getCurrent()->getUser();
        $isAllowed = $this->utility->checkUserPermissions($user,'10');
        if(!$isAllowed){
            View::set404();
            return false;
        }
        $this->utility->redirect('/');
        return true;
    }

    public function sync(){
        $user = Current::getCurrent()->getUser();
        $isAllowed = $this->utility->checkUserPermissions($user,'10');
        if(!$isAllowed){
            View::set404();
            return false;
        }
        $this->model->sync();
        return true;
    }

    public function applyTag(){
        if (!$this->model->ajax->checkAjax()){
            View::set404();
            return false;
        }
        $email = $_POST['email'];
        $tagId = $_POST['tagID'];
        $this->model->applyTag($email,$tagId);
        return true;
    }

    public function applyTagById(){
        if (!$this->model->ajax->checkAjax()){
            View::set404();
            return false;
        }
        $contactId = intval($_POST['contactId']);
        $tagId = $_POST['tagId'];
        $this->model->applyTagByID($contactId,$tagId);
        return true;
    }

    public function creator(){
	    $user = Current::getCurrent()->getUser();
	    $isAllowed = $this->utility->checkUserPermissions($user,'10');
	    if(!$isAllowed){
		    View::set404();
		    return false;
	    }
	    $this->view->bootTags = $this->model->eventTagsFront('boot');
	    $this->view->liveTags = $this->model->eventTagsFront('live');
	    $this->view->lbTags = $this->model->eventTagsFront('lb');
	    $this->view->setLayout('admin');
	    $this->view->creator();
	    $this->view->title = 'Create tags';
	    $this->view->render('create-tags');
	    return true;
    }

    public function createTags(){
	    if (!$this->model->ajax->checkAjax()){
		    View::set404();
		    return false;
	    }
	    $type= $_POST['type'];
	    $base = $_POST['base'];
		$this->model->createTags($base,$type);
		return true;
    }
}