<?php
Class model_manager extends Model{
    public $ajax;

    public function __construct(){
        parent::__construct();
        $this->ajax = new model_ajax();
        return true;
    }

    public function getManagers(){
        $sql = 'SELECT * FROM managers';
        $data = $this->db->hardSelect($sql);

        if(!empty($data)){
            $newData = array();
            foreach($data as $session){
                $newData[$session->id] = $session;
            }
        }else{
            $newData = $data;
        }
        return $newData;
    }

    public function createManager(){
        $data = array(
            'firstName'=>$_POST['firstName'],
            'lastName'=>$_POST['lastName'],
            'userID'=>$_POST['userID']
        );
        if(!$data['firstName'] || !$data['lastName'] || !$data['userID']){
            $this->ajax->setResponse(false,12);
            $this->ajax->getResponse();
            return false;
        }
        $id = $this->db->insert('managers', $data);
        $this->ajax->setResponse(true,$id);
        $this->ajax->getResponse();
        return true;
    }

    public function updateManager(){
        $data = array(
            'firstName'=>$_POST['firstName'],
            'lastName'=>$_POST['lastName'],
            'userID'=>$_POST['userID']
        );
        if(!$data['firstName'] || !$data['lastName'] || !$_POST['id'] ||!$data['userID']){
            $this->ajax->setResponse(false,12);
            $this->ajax->getResponse();
            return false;
        }
        $id = $this->db->updateRecord('managers', $data, array('id'=>intval($_POST['id'])));
        $this->ajax->setResponse(true,$id);
        $this->ajax->getResponse();
        return true;
    }

    public function removeManager(){
        $id = intval($_POST['id']);
        if(!$id){
            $this->ajax->setResponse(false,5);
            $this->ajax->getResponse();
            return false;
        }
        $this->db->hardDelete('DELETE FROM `managers` WHERE id='.$id.';');
        $this->ajax->setResponse(true,1);
        $this->ajax->getResponse();
        return true;
    }

    public function getManager($id){
        $sql = 'SELECT * FROM managers WHERE id='.$id;
        $data = $this->db->hardSelect($sql);
        return $data[0]?$data[0]:false;
    }

}