<?php
Class model_redir extends Model{

	public function __construct(){
		parent::__construct();
		return true;
	}

	public function route($contactId, $destination, $tags){
		$ifs = new Infusionsoft();
		$ifs->applyTagById($contactId,$tags);
		header('location:'.$destination);
		return true;
	}

	public function tourRoutine(){

		$url = 'https://mytradingroutine.com/already-a-customer/';
		header('location:'.$url);
		return true;

	}

	public function tourCalendly(){
		$url = 'https://calendly.com/powerx-tour';
		header('location:'.$url);
		return true;
	}

	public function tour($email){
		$ifs = new Infusionsoft();
		$contactId = $ifs->findByEmail($email);
		if(!$contactId){
			$this->tourCalendly();
			return true;
		}
		$stocksOnlyTag = 10918;
		$fullTag = 10776;

		$isStocks = $ifs->checkByTag($contactId,$stocksOnlyTag);
		$isFull = $ifs->checkByTag($contactId,$fullTag);


		if($isFull || $isStocks){
			$this->tourRoutine();
			return true;
		}else{
			$this->tourCalendly();
			return true;
		}

	}
}