<h3><?=$this->title;?></h3>
<form id="list-generator">

    <div class="form-group">
        <label for="event-type">Event type</label>
        <select class="form-control" id="event-type">
            <option value="boot">Bootcamp</option>
            <option value="live">Live</option>
            <option value="lb">Live Boardroom</option>
        </select>
    </div>

    <div class="form-group">
        <label for="tag-base">Tag Base (<a href="#" class="use-ph" data-target="tag-base">Use placeholder</a>)</label>
        <input type="text" class="form-control" name="tag-base" id="tag-base" placeholder="Houston - Jan2019">
    </div>

    <div class="form-group">
        <ul class="list-group bootcamp-tags" id="bootcamp-tags-list">
            <?php foreach($this->bootTags as $tag):?>
            <li class="list-group-item boot-tag"><?=$tag?></li>
            <?endforeach;?>
        </ul>
        <ul class="list-group live-tags" id="live-tags-list" style="display:none;">
		    <?php foreach($this->liveTags as $tag):?>
                <li class="list-group-item live-tag"><?=$tag?></li>
		    <?endforeach;?>
        </ul>
        <ul class="list-group lb-tags" id="lb-tags-list" style="display:none;">
		    <?php foreach($this->lbTags as $tag):?>
                <li class="list-group-item lb-tag"><?=$tag?></li>
		    <?endforeach;?>
        </ul>
    </div>
    <div class="form-group">
        <button type="submit" class="btn btn-primary pull-right" id="create-boot">Create</button>
    </div>
    <div class="clearfix"></div>
</form>
<?php echo '<script>window.bootTags = '.json_encode($this->bootTags).';</script>'?>
<?php echo '<script>window.liveTags = '.json_encode($this->liveTags).';</script>'?>
<?php echo '<script>window.lbTags = '.json_encode($this->lbTags).';</script>'?>
<div class="clearfix"></div>
