<?php
/** @var $data **/
?>
<a href="/user/" class="btn btn-primary pull-right">User List</a>
<h2><?=$this->title?></h2>
<form method="post" id="edit-user" action="">

    <div class="form-group">
        <label for="userLogin">Login:</label>
        <input type="email" id="userLogin" class="form-control" name="userLogin" value="<?=$data[0]->userLogin;?>"/>
    </div>

    <div class="form-group">
        <?php $permissions = user::getPermissions();?>
        <label for="userPermissions">Permissions:</label>
        <select class="form-control" id="userPermissions" name="userPermissions" >
            <?php foreach($permissions as $key => $value): ?>
                <?php echo $data[0]->userPermissions.' = '.$key;?>
                <option <?= ($data[0]->userPermissions == $key) ? 'selected' : '';?> value="<?=$key?>"><?=$value;?></option>
            <?php endforeach;?>
        </select>

    </div>

    <div class="form-check">
        <input id="userBanned" name="userBanned" <?=$data[0]->userBanned ? 'checked': '';?> value="<?=$data[0]->userBanned;?>" type="checkbox">
        <label for="userBanned">Inactive <?php if ($data[0]->userBanned) echo '('.date('Y-m-d',$data[0]->userBanned).')'; ?></label>
    </div>

    <div class="form-group">
        <label for="userPassword">New Password:</label>
        <input type="text" id="userPassword" class="form-control" name="userPassword" value=""/>
    </div>


    <input type="hidden" value="<?=$data[0]->userID;?>" name="userID" id="userID">

    <?php if($this->error):?>
        <div class="create-field error-field">
            <?=$this->error;?>
        </div>
    <?php endif;?>

    <div class="create-field form-group">
        <input type="button" class="btn btn-primary" id="update" value="Update"/>
    </div>

</form>