<?php /**@var $data **/?>
<!DOCTYPE html>
<html lang="en" >
<head>
    <meta charset="utf-8"/>
    <title>Event eTicket for <?=$data['FirstName']; ?></title>
    <meta name="robots" content="noindex,nofollow">
    <style>
        /* ########### START 'PRINT TICKET' CSS ############ */
        #ticket-container {display:none; }
        body#ticket-container {display:block; width:800px; font:normal 14px/18px Arial, Helvetica, sans-serif;margin: 15px auto;}
        .dots {position:relative; top:-1px;}
        #ticket {width:100%; height:300px; margin-bottom:15px; position:relative; }
        #ticket-details {width: 550px;position: absolute;top: 185px;left:5px;z-index: 1;padding: 20px;}
        #ticket-details h1 {font-size:26px; line-height:32px; margin:0; padding:0;}
        #ticket-details h2 {font-size:16px; line-height:20px; margin:3px 0 10px; padding:0; font-weight:normal;}
        #ticket-details p {margin-bottom:5px;}
        #ticket-details p.date-time {font-size:13px; line-height:20px; font-weight:bold; }
        #ticket-details ul { padding-left: 1em; }
        #ticket-image {position:relative; z-index:0; }
        #promo {width:290px; display:inline-block; padding-right:5px; }
        #gifts {width:300px; display:inline-block; }
        #disclaimer {padding:5px 0;}
        #disclaimer p {font-size:10px; line-height:14px; }
        #print-ticket {width:94px; position:absolute; top:20px; left:650px; display:none; }
        #print-ticket.display {display:block; }
        #print-ticket a {display:block; }

        @media print {
            #print-ticket.display {display:none; }
        }
        /* ########### **END 'PRINT TICKET' CSS ############ */
    </style>
</head>
<body id="ticket-container">

<div id="ticket">
    <div id="ticket-details">
        <table width=100% border=0>
            <tr>
                <td colspan="2"><p><center><strong><?=$data['_VenueDay']; ?>, <?=$data['_VenueMonth']; ?> <?php echo $data['_FreeEventDate'].$data['venue_date_sup']; ?> at <?php echo $data['_VenueStartTime']; ?></strong></center></p></td>
            </tr>
            <tr>
                <td><p><strong>Venue Location:</strong></p>
                    <p><?php echo $data['_VenueBuilding']; ?><br>
                        <?php echo $data['_VenueAddress1']; ?><br>
                        <?php echo $data['_VenueCity']; ?>, <?php echo $data['_VenueState']; ?> <?php $data['_VenueZip']; ?></p>
                    <p><strong>Workshop Starts At <?php echo $data['_VenueStartTime']; ?></strong></p>
                </td>
                <td><p><strong>Ticket Valid for:</strong></p>
                    <p><strong>Name:</strong> <?php echo $data['FirstName']; ?> <?php echo $data['LastName']; ?><br/>
                        <strong>Email:</strong> <?php echo $data['Email']; ?><br/>
                        <strong>Phone:</strong> <?php echo $data['Phone2']; ?></p>
                    <p><strong>Bonus Code:</strong> <?=$data['contactId'];?></p>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <p style="text-align: center">** You must be in attendance to receive the FREE Gifts **</p>
                </td>
            </tr>
        </table>
    </div><!-- END id="ticket-details" -->

</div><!-- END id="ticket" -->

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
<script type='text/javascript'>
    $(document).ready(function() {
        //this one line will disable the right mouse click menu
        //$(document)[0].oncontextmenu = function() {return false;}
    });
</script>
</body>
</html>