<?php /**@var $data **/?>
<?php if(isset($_GET['added'])):?>
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        Contact was successfully created and marked as attended!
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <script>
        window.history.pushState({}, document.title, "<?=CURRENT_LINK;?>");
    </script>
<?php endif;?>
<a href="/leadsource/create/" class="btn btn-primary pull-right"><i class="fa fa-plus"></i> Create a new pair</a>
        <h3><?=$this->title?></h3>
<div class="clearfix" style="padding-top:20px;"></div>
    <?php if(!empty($data)):?>
        <table class="table table-bordered table-striped table-hover white-bg t-valign hidden-table">
            <thead>
            <tr>
                <th>id</th>
                <th>Source Value</th>
                <th>LeadSource</th>
                <th>Manage</th>

            </tr>
            </thead>
            <tbody class="searchable">
            <?php foreach($data as $pair):?>
                <tr>
                    <td><?= $pair->id ?></td>
                    <td><?= $pair->SourceVal ?></td>
                    <td><?= $pair->Name ?></td>
                    <td>
                        <p><button onclick="window.location.href='/leadsource/update/<?= $pair->id; ?>'" data-id="<?= $pair->id; ?>" type="button" class="btn btn-outline-dark btn-sm"><i class="fa fa-pencil" aria-hidden="true"></i> Edit</button>
                        <button data-id="<?= $pair->id; ?>" type="button" class="btn btn-outline-dark btn-sm remove-pair"><i class="fa fa-times" aria-hidden="true"></i> Remove</button></p>
                    </td>
                </tr>
            <?php endforeach;?>
            </tbody>
        </table>
<?php else:?>
        <h1 class="text-center">List of pairs is empty</h1>
<?php endif;?>
        <ul class="pagination"></ul>