<?php /**@var $data **/?>
<?php if(isset($_GET['added'])):?>
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        Contact was successfully created and marked as attended!
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <script>
        window.history.pushState({}, document.title, "<?=CURRENT_LINK;?>");
    </script>
<?php endif;?>

<div id="regbtn-wrap" data-event="<?=$this->eventId;?>" style="padding-bottom:50px;">
    <div style="margin-bottom:30px; padding: 0 15px;" class="row">
        <div class="col"><h4><?=$this->title;?></h4></div>
        <div class="col">
            <button type="button" data-event-id="<?=$this->eventId;?>" class="btn btn-primary reg-sync pull-right"><i class="fa fa-refresh" aria-hidden="true"></i> Sync Data</button>
            <button type="button" id="add-contact" class="btn btn-primary pull-right" style="margin-right:20px;"><i class="fa fa-plus" aria-hidden="true"></i> Add New Customer</button>
        </div>
    </div>
    <div class="clearfix"></div>
<?php if ($this->showTagBtn):?>
<div class="text-center">
        <h3>Settings are not configured</h3>
        <button type="button" onclick="window.location.href='/event/update/<?=$this->eventId;?>'" class="btn btn-primary btn-lg">Go to settings</button>
</div>
<?php endif;?>

<?php if($this->showListBtn):?>
    <div class="text-center">
        <h3>The list is empty</h3>
        <button type="button" data-event-id="<?=$this->eventId;?>" id="reg-sync" class="btn reg-sync btn-primary btn-lg">Get a list of Registrants</button>
</div>
<?php endif;?>

<?php if(!$this->showListBtn && !$this->showTagBtn):?>

<!---->
<!--      <div class="input-group"> <span class="input-group-addon">Filter</span>-->
<!--        <input id="filter" type="text" class="form-control" placeholder="Type here...">-->
<!--    </div>-->

    <table class="table table-bordered table-striped table-hover white-bg t-valign hidden-table">
        <thead>
        <tr>
<!--            <th>Id</th>-->
            <th>First Name</th>
            <th>Last Name</th>
            <th>Email</th>
<!--            <th>Phone</th>-->
            <th>Reg. Date</th>
<!--            <th>Attended</th>-->
<!--            <th>Reg. Time</th>-->
            <th>Manage</th>
        </tr>
        </thead>
        <tbody class="searchable">
        <?php foreach($this->registrants as $user):?>
            <tr>
<!--                <td>--><?//= $user->ContactId ?><!--</td>-->
                <td><?= $user->FirstName ?></td>
                <td><?= $user->LastName ?></td>
                <td><a target="_blank" href="https://rockwell.infusionsoft.com/Contact/manageContact.jsp?view=edit&ID=<?= $user->ContactId; ?>"><?= $user->Email ?></a></td>
<!--                <td>--><?//= $user->Phone ?><!--</td>-->
                <td class="badge-area" data-contactid="<?= $user->ContactId; ?>"><?= $user->VenueDate ?> <?=$this->attendedBadge($user->attended).' '.$this->purchasedBadge($user->purchased)?></td>
<!--                <td class="--><?php //echo $user->attended == 'Y' ? 'table-success': '';?><!--">--><?//= $user->attended ?><!--</td>-->
<!--                <td></td>-->
                <td class="">
                    <p><button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['attendTag']; ?>" type="button" class="btn btn-outline-dark btn-sm mark-attended">Attended</button></p>
                    <p><button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" type="button" class="btn btn-outline-dark btn-sm submit-info">Info</button></p>
                    <?php if($this->buttons['sendText']):?>
                    <p><button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['sendText']; ?>" type="button" class="btn btn-outline-dark btn-sm apply-tag">Send a text</button></p>
                    <?endif;?>

	                <?php if($this->buttons['reviewText']):?>
                        <p><button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['reviewText']; ?>" type="button" class="btn btn-outline-dark btn-sm apply-tag">Send review text</button></p>
	                <?endif;?>

                    <div class="btn-group">
                        <button class="btn btn-secondary btn-outline-dark btn-sm dropdown-toggle mark-buyer" data-contactid="<?= $user->ContactId; ?>" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
	                        Purchased
                        </button>
                        <div class="dropdown-menu">
                            <?php if($this->useGlobal):?>
<!--                            <button data-email="--><?//= $user->Email ?><!--" data-contactid="--><?//= $user->ContactId; ?><!--" data-tagid="--><?//= $this->buttons['pendingTag']; ?><!--" data-eventid="--><?//=$this->eventId;?><!--" type="button" class="dropdown-item mark-pendor">Manual Sale</button>-->
                            <?php endif;?>
                            <button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['softwareLow']; ?>" data-eventid="<?=$this->eventId;?>" data-price="997" data-productid="622" type="button" class="dropdown-item invoice-button">Software - Stock Version - $997</button>
                            <button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['softwareHigh']; ?>" data-eventid="<?=$this->eventId;?>" data-price="1997" data-productid="624" type="button" class="dropdown-item invoice-button">Software - Full Version - $1997 </button>
                        </div>
                    </div>


<!--                    <div><button data-email="--><?//= $user->Email ?><!--" data-contactid="--><?//= $user->ContactId; ?><!--" data-tagid="--><?//= $this->state['purchasedTag']; ?><!--" type="button" class="btn btn-outline-dark btn-sm apply-tag">Purchased</button></div>-->

                </td>
            </tr>
        <?php endforeach;?>
        </tbody>
    </table>

<ul class="pagination"></ul>


<?php endif;?>
<?php //var_dump($this->masterminds); ?>

</div>

<div id="popup-form-notes">
    <form id="notes-form">
        <div class="form-group">
            <label for="note">Add a note *</label>
            <textarea class="form-control" id="note" name="note" rows="3"></textarea>
        </div>
        <button id="submitNote" type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>

<div id="popup-form-sale">
    <form id="sale-form">
        <div class="form-group">
            <label for="productPrice">Product price ($)</label>
            <input type="number" name="productPrice" id="productPrice">
        </div>
        <div class="form-group">
            <label for="howMuchPay">Payment to process ($)</label>
            <input type="number" name="howMuchPay" id="howMuchPay">
        </div>
        <button id="submitSale" type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>


<div id="popup-form-attended">
    <form id="attended-form">
        <div class="form-group">
            <label for="session-attended">Select Current Session:</label>
            <select class="form-control" id="session-attended" name="session">
                <?php if(!empty($this->sessions)): foreach($this->sessions as $session):?>
                    <option <?=$this->closest == $session->id? 'selected="selected"':''?> value="<?=$session->id?>"><?=$session->fullDate?></option>
                <?php endforeach; endif;?>
            </select>
            <input type="hidden" name="event-id-attended" id="event-id-attended" value="<?=$this->eventId;?>">
        </div>
        <button id="markAttended" type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>


<div id="popup-form">
    <form id="new-contact-form">
        <div class="form-group">
            <label for="firstname">First Name</label>
            <input type="text" class="form-control" id="firstname" name="firstname" placeholder="">
        </div>

        <div class="form-group">
            <label for="lastname">Last Name</label>
            <input type="text" class="form-control" id="lastname" name="lastname" placeholder="">
        </div>

        <div class="form-group">
            <label for="c-email">Email address *</label>
            <input type="email" class="form-control" id="c-email" name="c-email" placeholder="">
        </div>

        <div class="form-group">
            <label for="phone">Phone</label>
            <input type="text" class="form-control" id="phone" name="phone" placeholder="">
        </div>

        <div class="form-group">
            <label for="session">Session:</label>
            <select class="form-control" id="session" name="session">
                <?php if(!empty($this->sessions)): foreach($this->sessions as $session):?>
                    <option <?=$this->closest == $session->id? 'selected="selected"':''?> value="<?=$session->id?>"><?=$session->fullDate?></option>
                <?php endforeach; endif;?>
            </select>
        </div>
        <input type="hidden" name="event-id" id="event-id" value="<?=$this->eventId;?>">
        <input type="hidden" name="tags" id="tags" value="<?=$this->buttons['addNewContactTag']; ?>">
        <button id="newContact" type="submit" class="btn btn-primary">Add Contact</button>
    </form>
</div>

<div id="popup-info-form">
    <form id="info-form">
        <div class="form-group">
            <label for="_DoYouTrade">Do You Currently Trade?</label>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_DoYouTrade" id="_DoYouTrade1" value="1" checked>
                <label class="form-check-label" for="_DoYouTrade1">
                    Full-time
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_DoYouTrade" id="_DoYouTrade2" value="2">
                <label class="form-check-label" for="_DoYouTrade2">
                    Part-time
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_DoYouTrade" id="_DoYouTrade3" value="3">
                <label class="form-check-label" for="_DoYouTrade3">
                    Not Yet
                </label>
            </div>
        </div>

        <div class="form-group">
            <label for="_WhatisYourCurrentOccupation">What Is Your Current Occupation?</label>
            <input type="text" class="form-control" id="_WhatisYourCurrentOccupation" name="_WhatisYourCurrentOccupation" placeholder="">
        </div>

        <div class="form-group">
            <label for="_HowMuchDoYouNeed">How much do you need to replace your current income?</label>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_HowMuchDoYouNeed" id="_HowMuchDoYouNeed1" value="1" checked>
                <label class="form-check-label" for="_HowMuchDoYouNeed1">
                    $0-$35,000
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_HowMuchDoYouNeed" id="_HowMuchDoYouNeed2" value="2">
                <label class="form-check-label" for="_HowMuchDoYouNeed2">
                    $36-$55,000
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_HowMuchDoYouNeed" id="_HowMuchDoYouNeed3" value="3">
                <label class="form-check-label" for="_HowMuchDoYouNeed3">
                    $56-$75,000
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_HowMuchDoYouNeed" id="_HowMuchDoYouNeed4" value="4">
                <label class="form-check-label" for="_HowMuchDoYouNeed4">
                    $76-$100,000
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_HowMuchDoYouNeed" id="_HowMuchDoYouNeed5" value="5">
                <label class="form-check-label" for="_HowMuchDoYouNeed5">
                    $100k+
                </label>
            </div>
        </div>

        <button id="submitInfo" type="submit" class="btn btn-primary">Submit Info</button>
    </form>
</div>