<?php
/*
 * core model
 */
Class Model{
    /**
     * @var Database
     */
    public $db;
    public $utility;
    public function __construct(){
        $this->db = Database::getDatabase();
        $this->utility = new Utility();
        $this->fields = [];
        $this->log = new Log();
        return true;
    }

    public function getCurrentPage(){
        return  $this->utility->getParam('page') == false ? 1 : $this->utility->getParam('page');
    }

    public function getStateData(){
        $sql = 'SELECT * FROM `state` WHERE ';
        $i=0;
        foreach($this->fields as $field){
            if($i == 0){
                $sql .= 'fieldName' . "='" . $field ."'";
            }else{
                $sql .= ' OR fieldName' . "='" . $field ."'";
            }

            $i++;
        }
        $data = $this->db->hardSelect($sql);
        $settings = [];
        foreach($data as $row){
            $settings[$row->fieldName] = $row->fieldValue;
        }
        return $settings;
    }

    public function saveStateData(){
        $values = '';
        foreach($_POST as $fieldName => $value){
            $this->db->hardDelete('DELETE FROM `state` WHERE fieldName=\''.$fieldName.'\';');
            //var_dump('DELETE FROM `state` WHERE fieldName=\''.$fieldName.'\';'); exit;
            $values .= ',(\''.$fieldName.'\',\''.$value.'\')';
        }
        $values = ltrim($values,',');
        // var_dump('INSERT INTO `state` (fieldName, fieldValue) VALUES '.$values.';');
        // exit;
        $this->db->simpleQuery('INSERT INTO `state` (fieldName, fieldValue) VALUES '.$values.';');
        $this->utility->redirect(CURRENT_LINK,'?updated=true');
        return true;
    }
}