<?php

/**
 * Path to app
 */
define('APP', $_SERVER['DOCUMENT_ROOT'] . '/app/');

/*
 * path to app controllers
 */
define('CONTROLLERS', $_SERVER['DOCUMENT_ROOT'] . '/app/controllers/');

/*
 * path to app models
 */
define('MODELS', $_SERVER['DOCUMENT_ROOT'] . '/app/models/');

/*
 * path to app views
 */
define('VIEWS', $_SERVER['DOCUMENT_ROOT'] . '/app/views/');

/*
 * path to core
 */
define('CORE', $_SERVER['DOCUMENT_ROOT'] . '/core/');

/*
 * path to core models
 */
define('CORECONTROLLERS', $_SERVER['DOCUMENT_ROOT'] . '/core/controllers/');

/*
 * path to core models
 */
define('COREMODELS', $_SERVER['DOCUMENT_ROOT'] . '/core/models/');

/*
 * path to core views
 */
define('COREVIEWS', $_SERVER['DOCUMENT_ROOT'] . '/core/views/');

/*
 * 404 template
 */
define('PAGE404', $_SERVER['DOCUMENT_ROOT'] . '/404.php');

/*
 * template path
 */
define('TEMPLATES', $_SERVER['DOCUMENT_ROOT'] . '/app/views/templates/');

/*
 * libs
 */
define('LIBS', $_SERVER['DOCUMENT_ROOT'] . '/app/controllers/libs/');

/**
 * Images for views
 */
define('IMAGES_VIEW', '/images/');

/**
 * Thumbnail width
 */
define('THUMB_SIZE', 200);

/**
 *  Website base URL
 */
$protocol = (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
define('BASE_URL', $protocol . $_SERVER['SERVER_NAME']);

/**
 *  images folder
 */
define('IMAGES', '/includes/images/');

/**
 *  scripts folder
 */
define('SCRIPTS','/includes/js/');

/**
 * css folder
 */
define('CSS','/includes/css/');

/**
 * Current link
 */
$arr = explode('?', $protocol . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
$link = array_shift($arr);
define('CURRENT_LINK', $link);

/**
 * Website Title
 */
define('WEBSITE_TITLE', 'Rockwell Trading Events');

/**
 *  Timezone
 */

date_default_timezone_set('America/Chicago');

/**
 * App version
 */
define('APP_VERSION','6.0.1');