<?php
class SymbolData{

	public $defaultData = [];

	public function __construct() {
		$this->defaultData = [
			0=>[
			'symbol'=>'S&P 500 Futures',
			"value" => "3,185.38",
			"newvalue" => "74.88" ,
			"change" => "2.41%",
			"direction" => "up"],

			1=>["symbol"=>"Nasdaq Futures",
			"value" => "9,808.25",
			"newvalue" => "182.00" ,
			"change" => "1.89%",
			"direction" => "up"],


			2=>['symbol'=>'Dow Jones',
			"value" => "27,110.98",
			"newvalue" => "829.16" ,
			"change" => "3.15%",
			"direction" => "up"],


			3=>['symbol'=>'S&P 500',
			"value" => "3,193.93",
			"newvalue" => "81.58" ,
			"change" => "2.62%",
			"direction" => "up"],


			4=>['symbol'=>'Nasdaq',
			"value" => "9,814.08",
			"newvalue" => "198.27" ,
			"change" => "2.06%",
			"direction" => "up"],
		];
	}

	public function saveData($data){

		$rawData = json_decode($data);
		$lastIndex = count($rawData) - 1;

		foreach (new DirectoryIterator('data') as $fileInfo) {
			if(!$fileInfo->isDot()) {
				unlink($fileInfo->getPathname());
			}
		}

		foreach($rawData as $index => $row){
			file_put_contents('data/'.$index.'.data',json_encode($row));
			chmod('data/'.$index.'.data', 0777);
		}
		file_put_contents('data/max.data',$lastIndex);
		chmod('data/max.data', 0777);

		return true;
	}

	public function getData(){

		$indexes = file_exists('data/max.data') ? intval(file_get_contents('data/max.data')) : -1;
		$data = [];

		if($indexes > -1 && $indexes){
			for($i=0; $i<$indexes+1; $i++){
				$symbolData =  json_decode(file_get_contents('data/'.$i.'.data'));
				$data[$i]['symbol'] = $symbolData->symbol;
				$data[$i]['value'] = $symbolData->value;
				$data[$i]['newvalue'] = $symbolData->newvalue;
				$data[$i]['change'] = $symbolData->change;
				$data[$i]['direction'] = $symbolData->direction;
			}
			return $data;

		}else{
			return $this->defaultData;
		}
	}


}