<?php
include 'isdk.php';
include 'funcs.php';
$MyApp = new iSDK;
$MyApp->cfgCon("purchase");

$productId = 520;
$dates = '~>=~2017-02-01';

//$returnFields = array('Id','ContactId','DateCreated','ProductId');
//$query = array('DateCreated'=>$dates,'Id' => 97317);//'ProductId'=>$productId
//$orders = $MyApp->dsQuery("Job",1000,0,$query,$returnFields);
//$normalOrders = normalizeData($orders,'Id');
//
//
////OrderIds
//$orderIds = [];
//foreach($orders as $order){
//    $orderIds[] = $order['Id'];
//}

//ProductSold,JobId,InvoiceTotal
$returnFieldsInvoice = array('Id','ContactId','JobId','InvoiceTotal','TotalPaid','ProductSold');
$queryInv = array('DateCreated'=>$dates,'ProductSold'=>$productId.'%');
$invoices = $MyApp->dsQuery("Invoice",1000,0,$queryInv,$returnFieldsInvoice);

$normalInvoices = normalizeData($invoices,'JobId');

//getting contacts
$contactIds = [];
foreach($normalInvoices as $jobId => $invoice){
    $contactIds[] = intval($invoice['ContactId']);
}
$returnFieldsContacts = array('FirstName','LastName','Phone1','Phone2','ContactNotes','Id','Email');
$queryCont = array('Id'=>$contactIds);
$contacts = $MyApp->dsQuery("Contact",1000,0,$queryCont,$returnFieldsContacts);

$normalContacts = normalizeData($contacts,'Id');

//getting opportunities. table: Lead, 1409303, 679
$opportunities = [];
$returnFieldsLead = array('UserID','NextActionDate','NextActionNotes','OpportunityNotes','ContactID','Id');
$queryLead = array('ContactID'=>$contactIds);
$opportunities = $MyApp->dsQuery("Lead",1000,0,$queryLead,$returnFieldsLead);
$normalOpportunities = normalizeData($opportunities,'ContactID');



//getting users. table: User
$userIds = [];
foreach($normalOpportunities as $opportunity){
    $userIds[] = intval($opportunity['UserID']);
}
$users = [];
$returnFieldsUsers = array('FirstName','LastName','Id');
$queryUser = array('Id'=>$userIds);
$users = $opportunities = $MyApp->dsQuery("User",1000,0,$queryUser,$returnFieldsUsers);
$normalUsers = normalizeData($users,'Id');


//20180326T09:30:00

$fullInfoOrder = [];
$i = 0;
foreach($normalInvoices as $jobId => $invoice){
    if(!($invoice['InvoiceTotal'] - $invoice['TotalPaid'] > 0)){
       continue;
    }
    $fullInfoOrder[$i]['Order Id'] = $jobId;
    $fullInfoOrder[$i]['Order Total'] = $invoice['InvoiceTotal'];
    $fullInfoOrder[$i]['Paid Total'] = $invoice['TotalPaid'];
    $fullInfoOrder[$i]['Balance'] = $invoice['InvoiceTotal'] - $invoice['TotalPaid'];
    $fullInfoOrder[$i]['ContactId'] = $invoice['ContactId'];
    $fullInfoOrder[$i]['First Name'] = $normalContacts[$invoice['ContactId']]['FirstName'];
    $fullInfoOrder[$i]['Last Name'] = $normalContacts[$invoice['ContactId']]['LastName'];
    $fullInfoOrder[$i]['Email'] = $normalContacts[$invoice['ContactId']]['Email'];
    $fullInfoOrder[$i]['Phone1'] = $normalContacts[$invoice['ContactId']]['Phone1'];
    $fullInfoOrder[$i]['Phone2'] = $normalContacts[$invoice['ContactId']]['Phone2'];
    $fullInfoOrder[$i]['Owner'] = outputData($normalUsers[$normalOpportunities[$invoice['ContactId']]['UserID']]['FirstName']. ' ' . $normalUsers[$normalOpportunities[$invoice['ContactId']]['UserID']]['LastName']);
    $fullInfoOrder[$i]['NextActionDate'] = outputData(ifsDateToNormal($normalOpportunities[$invoice['ContactId']]['NextActionDate']));
    $fullInfoOrder[$i]['NextActionNotes'] = outputData($normalOpportunities[$invoice['ContactId']]['NextActionNotes']);
    $fullInfoOrder[$i]['OpportunityNotes'] = outputData($normalOpportunities[$invoice['ContactId']]['OpportunityNotes']);
    $fullInfoOrder[$i]['ContactNotes'] = $normalContacts[$invoice['ContactId']]['ContactNotes'];
    $fullInfoOrder[$i]['Id'] = $invoice['Id'];
    $i++;
}

$table = '<table>';
$table.='<tr>';
$table.='<td>First Name</td>';
$table.='<td>Last Name</td>';
$table.='<td>Email</td>';
$table.='<td>Phone1</td>';
$table.='<td>Phone2</td>';
$table.='<td>Invoice Total</td>';
$table.='<td>Total Paid</td>';
$table.='<td>Balance</td>';
$table.='<td>Owner</td>';
$table.='<td>Next Action Date</td>';
$table.='<td>Next Action Notes</td>';
$table.='<td>Opportunity Notes</td>';
$table.='<td>Notes</td>';
$table.='</tr>';
foreach($fullInfoOrder as $invoice){
    $table.='<tr>';
    $table.='<td>'.$invoice['First Name'].'</td>';
    $table.='<td>'.$invoice['Last Name'].'</td>';
    $table.='<td>'.$invoice['Email'].'</td>';
    $table.='<td>'.$invoice['Phone1'].'</td>';
    $table.='<td>'.$invoice['Phone2'].'</td>';
    $table.='<td>$'.$invoice['Order Total'].'</td>';
    $table.='<td>$'.$invoice['Paid Total'].'</td>';
    $table.='<td>$'.$invoice['Balance'].'</td>';
    $table.='<td>'.$invoice['Owner'].'</td>';
    $table.='<td>'.$invoice['NextActionDate'].'</td>';
    $table.='<td>'.$invoice['NextActionNotes'].'</td>';
    $table.='<td>'.$invoice['OpportunityNotes'].'</td>';
    $table.='<td>'.$invoice['ContactNotes'].'</td>';
    $table.='</tr>';
}
$table.='</table>';
echo $table;