<?php
function getDates(){
    $month = date('n', strtotime("-1 week"));
    $day = date('j', strtotime("-1 week"));
    $year = date('Y', strtotime("-1 week"));


    $previousWeekTime = mktime(0, 0, 0, $month, $day, $year);
    if (date('N', $previousWeekTime) == 1) {
        $previousWeekTime += 86400;
    }
    $lastWeekMondayStamp = strtotime("last Monday", $previousWeekTime);
    $lastWeekMonday = date('Y-m-d', $lastWeekMondayStamp);


    $lastWeekSundayStamp = strtotime("+6 days", $lastWeekMondayStamp);
    $lastWeekSunday = date('Y-m-d', $lastWeekSundayStamp);
    $lastWeekSundayInfusionsoft = date('Y-m-d', strtotime("+7 days", $lastWeekMondayStamp));
    $lastWeekSundayInfusionsoftMinus = date('Y-m-d', strtotime("+6 days", $lastWeekMondayStamp));
    $lastWeek = new stdClass();
    $lastWeek->sunday = $lastWeekSundayInfusionsoft;
    $lastWeek->sundayMinus = $lastWeekSundayInfusionsoftMinus;
    $lastWeek->monday = $lastWeekMonday;
    return $lastWeek;
}

function notEmptyData($data){
	return $data ? $data : 'Unknown';
}

function normalizeData($array,$idField){
    $normalized = [];
    if(!empty($array) && is_array($array)){
        foreach($array as $item){
            $normalized[$item[$idField]] = [];
            foreach($item as $k => $v){
                $normalized[$item[$idField]][$k] = $v;
            }
        }
    }
    return $normalized;
}


function outputData($data){
    if($data){
        return $data;
    }else{
        return 'No Data';
    }

}


function ifsDateToNormal($string){
    $time = explode('T',$string)[0];
    if(!$time){
        return false;
    }
    $year = substr($time,0,4);
    $month = substr($time,4,2);
    $day = substr($time,6,2);
    return $year.'-'.$month.'-'.$day;
}