<?php
include 'isdk.php';
include 'funnelList.php';
include 'funcs.php';
$MyApp = new iSDK;
$MyApp->cfgCon("purchase");

//$invoiceId = 63; //Refunded
//$invoiceId = 61; //Normal
//$invoiceId = 3589; //Falied
//$invoiceId = 43068; //2 products
//$invoiceId = 95877; //multiple

$invoiceId = intval($_GET['invoiceId']);
if(!$invoiceId){
    exit;
}


$returnFieldsInvoice = array('Id','ContactId','Description','InvoiceTotal','TotalPaid','ProductSold','RefundStatus','DateCreated');
$queryInv = array('Id' => '~>~'.$invoiceId); //'TotalPaid'=>'~<>~0'
$invoices = $MyApp->dsQuery("Invoice",1000,0,$queryInv,$returnFieldsInvoice);
if(empty($invoices) && is_array($invoices)){
    exit;
}

$normalInvoices = normalizeData($invoices,'Id');

$productIds = [];
$contactIds = [];
foreach($invoices as $invoice){
    $contactIds[] = intval($invoice['ContactId']);
    if(strstr($invoice['ProductSold'],',')){
        $ids = explode(',',$invoice['ProductSold']);
        foreach($ids as $id){
            $productIds[] = intval($id);
        }
    }else{
        $productIds[] = intval($invoice['ProductSold']);
    }
}


//Id,ProductName. Contacts
$returnFieldsCtc = array('Id','FirstName','LastName');
$queryCtc = array('Id'=>$contactIds);
$contacts = $MyApp->dsQuery("Contact",1000,0,$queryCtc,$returnFieldsCtc);
$normalContacts = normalizeData($contacts,'Id');


//Id,ProductName
$returnFieldsPr = array('Id','ProductName');
$queryPr = array('Id'=>$productIds);
$products = $MyApp->dsQuery("Product",1000,0,$queryPr,$returnFieldsPr);

$normalProducts = normalizeData($products,'Id');



$outputs = [];

foreach($normalInvoices as $invoiceId => $invoice){
    $outputs[$invoiceId]['Id'] = $invoiceId;
    $outputs[$invoiceId]['ContactId'] = $invoice['ContactId'];
    $outputs[$invoiceId]['Description'] = $invoice['Description'];
    $outputs[$invoiceId]['Name'] = iconv('UTF-8', 'UTF-8//IGNORE', utf8_encode($normalContacts[$invoice['ContactId']]['FirstName']. ' ' . $normalContacts[$invoice['ContactId']]['LastName']));
    $outputs[$invoiceId]['FirstName'] = iconv('UTF-8', 'UTF-8//IGNORE', utf8_encode($normalContacts[$invoice['ContactId']]['FirstName']));
    $outputs[$invoiceId]['LastName'] = iconv('UTF-8', 'UTF-8//IGNORE', utf8_encode($normalContacts[$invoice['ContactId']]['LastName']));
    $outputs[$invoiceId]['FullName'] = iconv('UTF-8', 'UTF-8//IGNORE', utf8_encode($outputs[$invoiceId]['Name']));
    $outputs[$invoiceId]['ProductIds'] = $invoice['ProductSold'];

    if(strstr($invoice['ProductSold'],',')){
        $ids = explode(',',$invoice['ProductSold']);
        foreach($ids as $id){
            $outputs[$invoiceId]['Products'] .= '; '.$normalProducts[$id]['ProductName'];
        }
    }else{
        $outputs[$invoiceId]['Products'] = $normalProducts[$invoice['ProductSold']]['ProductName'];
    }
    $outputs[$invoiceId]['Products'] = ltrim($outputs[$invoiceId]['Products'],'; ');
//RefundStatus
    $outputs[$invoiceId]['Return'] = $invoice['RefundStatus'] == 0 ? 'None' : 'RETURN' ;
    $outputs[$invoiceId]['InvTotal'] = $invoice['InvoiceTotal'];
    $outputs[$invoiceId]['TotalPaid'] = $invoice['TotalPaid'];
    $outputs[$invoiceId]['Balance'] = $invoice['InvoiceTotal'] - $invoice['TotalPaid'];

    $date = date_create($invoice['DateCreated']);
    $outputs[$invoiceId]['Date'] = date_format($date, 'm/d/Y');
}


echo (json_encode($outputs));exit;
var_dump(json_last_error( ));


//ne mogu: name, first Name, Last Name, Name, FullName, Products (Product Sold?),

//ProductIds = ProductSold
//balance = InvoiceTotal - TotalPaid
//products = $normalProducts[productId]['ProductName']; $normalProducts[productId]['ProductName']
//fullname, Name = FirstName . ' ' . LastName