<?php
set_time_limit(0);
ini_set('max_execution_time', 0);
error_reporting(E_ERROR | E_PARSE);
include 'isdk.php';
include 'funcs.php';
$MyApp = new iSDK;
$MyApp->cfgCon("purchase");


//database
$host = 'ls-42d5fb9b07a5403f05981bfaac9fb4eb1dfef9e3.cusuqabgs2a3.us-east-1.rds.amazonaws.com';
$db   = 'datastudio';
$user = 'dbmasteruser';
$pass = 'fOETsA{g$]p0>vlg!n>}`RKXd_!vh%08';
$charset = 'utf8mb4';
$dsn = "mysql:host=$host;dbname=$db;charset=$charset";
if (ob_get_level() == 0) ob_start();
$pdo = new PDO($dsn, $user, $pass);
$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
//$invoiceId = 63; //Refunded
//$invoiceId = 61; //Normal
//$invoiceId = 3589; //Falied
//$invoiceId = 43068; //2 products
//$invoiceId = 95877; //multiple


//remove orders for last 35 days
$sql = "DELETE FROM `orders` WHERE `Date` > DATE_SUB(now(), INTERVAL 35 DAY)";
$res = $pdo->exec($sql);
// /home/bfcsxjvx/public_html/rockwellbootcamp.com/apicalls/invoiceupdate100.php

//Get last Id
$sth = $pdo->prepare("SELECT max(Id) as Id FROM orders");
$sth->execute();

/* Exercise PDOStatement::fetch styles */
$result = $sth->fetch(PDO::FETCH_ASSOC);

$invoiceId = intval($result['Id']);
if(!$invoiceId){

	$invoiceId = 1;

//    ob_flush();
//    flush();
//    echo 'Error on getting invoice Id';
//    exit;
}

//get number of iterations
$queryInv = array('Id' => '~>~'.$invoiceId);
$numberOfIt = $MyApp->dsCount("Invoice",$queryInv);
$numberOfIt = intval(ceil($numberOfIt/1000));

if(!$numberOfIt){
    ob_flush();
    flush();
    echo 'Error on getting number of iterrations';
    exit;
}
unset($pdo);
for($currentPage=1;$currentPage<=$numberOfIt;$currentPage++){

    $pdo = new PDO($dsn, $user, $pass);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    //Get last Id
    $sth = $pdo->prepare("SELECT max(Id) as Id FROM orders");
    $sth->execute();

    /* Exercise PDOStatement::fetch styles */
    $result = $sth->fetch(PDO::FETCH_ASSOC);

    $invoiceId = intval($result['Id']);
    if(!$invoiceId){
//        ob_flush();
//        flush();
//        echo 'Error on getting invoice Id';
//        exit;
	    $invoiceId = 1;
    }

    $returnFieldsInvoice = array('Id','ContactId','Description','InvoiceTotal','TotalPaid','ProductSold','RefundStatus','DateCreated', 'JobId');
    $queryInv = array('Id' => '~>~'.$invoiceId); //'TotalPaid'=>'~<>~0'
    //$invoices = $MyApp->dsQuery("Invoice",1000,0,$queryInv,$returnFieldsInvoice);
    $invoices = $MyApp->dsQuery("Invoice",1000,0,$queryInv,$returnFieldsInvoice,'Id');
    if(empty($invoices) && is_array($invoices)){
        ob_flush();
        flush();
        echo 'Invoices are empty';
        exit;
    }

    $normalInvoices = normalizeData($invoices,'Id');

    $productIds = [];
    $contactIds = [];
    $jobIds = [];
    foreach($invoices as $invoice){
        $contactIds[] = intval($invoice['ContactId']);
	    $jobIds[] = intval($invoice['JobId']);
        if(strstr($invoice['ProductSold'],',')){
            $ids = explode(',',$invoice['ProductSold']);
            foreach($ids as $id){
                $productIds[] = intval($id);
            }
        }else{
            $productIds[] = intval($invoice['ProductSold']);
        }
    }
    $productIds = array_unique($productIds);
    $productIds = array_values($productIds);

    //Id,ProductName. Contacts, EntryPoint, Leadsource, DateCreated
    $returnFieldsCtc = array('Id','FirstName','LastName', '_EntryPoint', 'Leadsource', 'DateCreated', 'LeadSourceId', '_firstutmsource', '_firstutmcampaign', '_firstutmmedium', '_firstutmtarget', '_firstutmcontent');
    $queryCtc = array('Id'=>$contactIds);
    $contacts = $MyApp->dsQuery("Contact",1000,0,$queryCtc,$returnFieldsCtc);
    $normalContacts = normalizeData($contacts,'Id');




    $leadsourceIds = [];
    foreach($contacts as $contact){
    	$leadsourceIds[] = intval($contact['LeadSourceId']);
    }
    $leadsourceIds = array_unique($leadsourceIds);
    $leadsourceIds = array_values($leadsourceIds);



    //get leadsource category ids
    $returnFieldsCats = ['Id', 'LeadSourceCategoryId'];
    $queryCats = ['Id' => $leadsourceIds];
    $leadsourceCats = $MyApp->dsQuery('LeadSource',1000,0,$queryCats,$returnFieldsCats);
    $normalLeadsources = normalizeData($leadsourceCats,'Id');
    $categoryIds = [];
    foreach($leadsourceCats as $cat){
	    $categoryIds[] = $cat['LeadSourceCategoryId'];
    }
	$categoryIds = array_unique($categoryIds);
	$categoryIds = array_values($categoryIds);

	//get category names
	$returnFieldsCats = ['Id', 'Name'];
	$queryCats = ['Id' => $categoryIds];
	$leadsourceCats = $MyApp->dsQuery('LeadSourceCategory',1000,0,$queryCats,$returnFieldsCats);
	$normalCats = normalizeData($leadsourceCats,'Id');


    //Id,ProductName
    $returnFieldsPr = array('Id','ProductName');
    $queryPr = array('Id'=>$productIds);
    $products = $MyApp->dsQuery("Product",1000,0,$queryPr,$returnFieldsPr);
    $normalProducts = normalizeData($products,'Id');


    //_utmSource, _utmContent, _utmTarget, _utmMedium, _FunnelName
	$returnFieldsJobs = array('Id','_utmSource', '_utmContent', '_utmTarget', '_utmMedium', '_FunnelName', '_utmCampaign');
	$queryJobs = array('Id'=>$jobIds);
	$jobs = $MyApp->dsQuery("Job",1000,0,$queryJobs,$returnFieldsJobs);
	$normalJobs = normalizeData($jobs,'Id');

    $outputs = [];

    foreach($normalInvoices as $invoiceId => $invoice){
    	$leadsourceId = $normalContacts[$invoice['ContactId']]['LeadSourceId'];
    	$leadsourceCategoryId = $normalLeadsources[$leadsourceId]['LeadSourceCategoryId'];
    	$leadsourceCategoryName = $normalCats[$leadsourceCategoryId]['Name'];
        $outputs[$invoiceId]['Id'] = $invoiceId;
        $outputs[$invoiceId]['ContactId'] = $invoice['ContactId'];
        $outputs[$invoiceId]['Description'] = $pdo->quote($invoice['Description']);
        $outputs[$invoiceId]['Name'] = $pdo->quote($normalContacts[$invoice['ContactId']]['FirstName']. ' ' . $normalContacts[$invoice['ContactId']]['LastName']);
        $outputs[$invoiceId]['FirstName'] = $pdo->quote($normalContacts[$invoice['ContactId']]['FirstName']);
        $outputs[$invoiceId]['LastName'] = $pdo->quote($normalContacts[$invoice['ContactId']]['LastName']);
        $outputs[$invoiceId]['entryPoint'] = $pdo->quote(notEmptyData($normalContacts[$invoice['ContactId']]['_EntryPoint']));
        $outputs[$invoiceId]['leadsource'] = $pdo->quote(notEmptyData($normalContacts[$invoice['ContactId']]['Leadsource']));
        $outputs[$invoiceId]['FullName'] = $pdo->quote($normalContacts[$invoice['ContactId']]['FirstName']. ' ' . $normalContacts[$invoice['ContactId']]['LastName']);
	    $outputs[$invoiceId]['first_utm_source'] = $pdo->quote($normalContacts[$invoice['ContactId']]['_firstutmsource']);
	    $outputs[$invoiceId]['first_utm_campaign'] = $pdo->quote($normalContacts[$invoice['ContactId']]['_firstutmcampaign']);
	    $outputs[$invoiceId]['first_utm_medium'] = $pdo->quote($normalContacts[$invoice['ContactId']]['_firstutmmedium']);
	    $outputs[$invoiceId]['first_utm_target'] = $pdo->quote($normalContacts[$invoice['ContactId']]['_firstutmtarget']);
	    $outputs[$invoiceId]['first_utm_content'] = $pdo->quote($normalContacts[$invoice['ContactId']]['_firstutmcontent']);
	    $outputs[$invoiceId]['LeadSourceCategory'] = $pdo->quote($leadsourceCategoryName);
        $outputs[$invoiceId]['ProductIds'] = $invoice['ProductSold'];
        $outputs[$invoiceId]['utmMedium'] = $pdo->quote(notEmptyData($normalJobs[$invoice['JobId']]['_utmMedium']));
        $outputs[$invoiceId]['utmTarget'] = $pdo->quote(notEmptyData($normalJobs[$invoice['JobId']]['_utmTarget']));
        $outputs[$invoiceId]['utmContent'] = $pdo->quote(notEmptyData($normalJobs[$invoice['JobId']]['_utmContent']));
        $outputs[$invoiceId]['utmCampaign'] = $pdo->quote(notEmptyData($normalJobs[$invoice['JobId']]['_utmCampaign']));
        $outputs[$invoiceId]['utmSource'] = $pdo->quote(notEmptyData($normalJobs[$invoice['JobId']]['_utmSource']));
        $outputs[$invoiceId]['funnelName'] = $pdo->quote(notEmptyData($normalJobs[$invoice['JobId']]['_FunnelName']));

        if(strstr($invoice['ProductSold'],',')){
            $ids = explode(',',$invoice['ProductSold']);
            foreach($ids as $id){
                $outputs[$invoiceId]['Products'] .= '; '.$normalProducts[$id]['ProductName'];
            }
        }else{
            $outputs[$invoiceId]['Products'] = $normalProducts[$invoice['ProductSold']]['ProductName'];
        }
        $outputs[$invoiceId]['Products'] = ltrim($outputs[$invoiceId]['Products'],'; ');
        $outputs[$invoiceId]['Products'] = $pdo->quote($outputs[$invoiceId]['Products'] == '' ? null : $outputs[$invoiceId]['Products']);

    //RefundStatus
        $outputs[$invoiceId]['Return'] = $invoice['RefundStatus'] == 0 ? 'None' : 'RETURN' ;
        $outputs[$invoiceId]['InvTotal'] = number_format($invoice['InvoiceTotal'], 2, '.', '');
        $outputs[$invoiceId]['TotalPaid'] = number_format($invoice['TotalPaid'], 2, '.', '');
        $outputs[$invoiceId]['Balance'] = number_format($invoice['InvoiceTotal'] - $invoice['TotalPaid'], 2, '.', '');

        //YYYY-MM-DD DateCreated
        $date = date_create($invoice['DateCreated']);
        $outputs[$invoiceId]['Date'] = date_format($date, 'Y-m-d');
        $outputs[$invoiceId]['DateDS'] = date_format($date, 'Ymd');

	    $dateSt = strtotime($normalContacts[$invoice['ContactId']]['DateCreated']);
	    $dateDS = date('Ymd',$dateSt);
	    $outputs[$invoiceId]['conDate'] = $dateDS;
    }
    //echo'<pre>';
    //var_dump($outputs);
    $query = 'INSERT INTO `orders` (`Id`,`ContactId`,`Description`,`Name`,`FirstName`,`LastName`,FullName,ProductIds,Products,`Refund`,`InvTotal`,Balance,`Date`,`TotalPaid`,DateDS,`conDate`,`entryPoint`,`funnelName`,`utmSource`,`utmCampaign`,`utmContent`,`utmTarget`,`utmMedium`,`leadsource`,`LeadSourceCategory`,`first_utm_source`,`first_utm_campaign`,`first_utm_medium`,`first_utm_target`,`first_utm_content`) VALUES ';
    $valuesString = '';
    $howMuch = count($outputs) -1;
    $c=0;
    foreach($outputs as $item){
        if($c == $howMuch){
            $valuesString .= "(".$item['Id'].",".$item['ContactId'].",".$item['Description'].",".$item['Name'].",".$item['FirstName'].",".$item['LastName'].",".$item['FullName'].",'".$item['ProductIds']."',".$item['Products'].",'".$item['Return']."',".$item['InvTotal'].",".$item['Balance'].",'".$item['Date']."',".$item['TotalPaid'].",'".$item['DateDS']."','".$item['conDate']."',".$item['entryPoint'].",".$item['funnelName'].",".$item['utmSource'].",".$item['utmCampaign'].",".$item['utmContent'].",".$item['utmTarget'].",".$item['utmMedium'].",".$item['leadsource'].",".$item['LeadSourceCategory'].",".$item['first_utm_source'].",".$item['first_utm_campaign'].",".$item['first_utm_medium'].",".$item['first_utm_target'].",".$item['first_utm_content'].")";
        }else{
	        $valuesString .= "(".$item['Id'].",".$item['ContactId'].",".$item['Description'].",".$item['Name'].",".$item['FirstName'].",".$item['LastName'].",".$item['FullName'].",'".$item['ProductIds']."',".$item['Products'].",'".$item['Return']."',".$item['InvTotal'].",".$item['Balance'].",'".$item['Date']."',".$item['TotalPaid'].",'".$item['DateDS']."','".$item['conDate']."',".$item['entryPoint'].",".$item['funnelName'].",".$item['utmSource'].",".$item['utmCampaign'].",".$item['utmContent'].",".$item['utmTarget'].",".$item['utmMedium'].",".$item['leadsource'].",".$item['LeadSourceCategory'].",".$item['first_utm_source'].",".$item['first_utm_campaign'].",".$item['first_utm_medium'].",".$item['first_utm_target'].",".$item['first_utm_content']."),";
        }
        $c++;
    }

    $query .= $valuesString;
    rtrim($query,',');


    try {
        $result = $pdo->exec($query);
        $uploaded = true;
    }catch(PDOException $e)
    {
        ob_flush();
        flush();
        echo $e->getMessage();
        $uploaded = false;
        exit;
    }
    ob_flush();
    flush();

    if($uploaded){
        echo "Page ".$currentPage." of ".$numberOfIt." uploaded\n";
    }else{
        echo "Error during uploading\n";
    }
    unset($pdo);
	sleep(7);
}