<?php
class ifs{
	public $app = false;

    public function __construct() {
	    include 'isdk.php';
	    $MyApp = new iSDK;
	    $MyApp->cfgCon("purchase");
	    $this->app = $MyApp;
    }

    public function grabber($contactId){
	    $returnFields = [
	    	'_VenueStartTime',
	    	'_VenueBuilding',
	    	'_VenueAddress1',
	    	'_VenueCity',
	    	'_VenueState',
	    	'_VenueZip',
	    	'_VenueCountry',
		    '_VenueFullDate',
		    '_VenueFile',
		    ];
	    //test id old format: 1353829
	    //test id new format: 1475846
	    $contact = $this->app->dsLoad("Contact",$contactId,$returnFields);
	    if(!$contact || empty($contact)){
	    	return false;
	    }
	    return $contact;
    }

    public function getNewFields($contactFields){
    	$newFields = [];
		$newFields['_VenueAddress1'] = $contactFields['_VenueAddress1'].', '.$contactFields['_VenueCity'].', '.$contactFields['_VenueState'].' '.$contactFields['_VenueZip'].', '.$contactFields['_VenueCountry'];
	    $newFields['_VenueFullDate'] = $contactFields['_VenueFullDate'].' at '.$contactFields['_VenueStartTime'];
	    $newFields['_VenueFile'] = 'processed';
	    return $newFields;
    }

    public function saveContact($contactId, $fields){
	    $Id = $this->app->updateCon($contactId, $fields);
        return $Id;
    }

}
$contactId = intval($_POST['contactId']);
//$contactId = 1475846; //new format
//$contactId = 1353829; //old format
if (!$contactId){
	echo 'contactId is empty';
	exit;
}

$ifs = new ifs();
$contact = $ifs->grabber($contactId);

if (!$contact){
	echo 'Contact was not Found';
	exit;
}

$newFields = $ifs->getNewFields($contact);
$ifs->saveContact($contactId, $newFields);

exit;
