<?php
/* 
You can include this file where you need to show the
details with the following code.

include('./sample.php');

*/

/* 
this is where you need it for a single ip
put the ip into the variable $ip
*/

// $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];  // for ssl pages
//$ip = $_SERVER["REMOTE_ADDR"];  // for regular non-ssl
// $ip = $_SERVER['HTTP_X_CLUSTER_CLIENT_IP']; // for regular non-ssl (try this is the other non-ssl doesnt work)

if(!empty($_SERVER['HTTP_X_CLUSTER_CLIENT_IP'])){   
    $ip = $_SERVER['HTTP_X_CLUSTER_CLIENT_IP'];
}elseif(!empty($_SERVER['HTTP_CLIENT_IP'])){   
    $ip = $_SERVER['HTTP_CLIENT_IP'];
}elseif(!empty($_SERVER['HTTP_X_FORWARDED_FOR'])){   
    $ip = $_SERVER['HTTP_X_FORWARDED_FOR']; 
}elseif(!empty($_SERVER['HTTP_X_CLIENT'])){   
    $ip = $_SERVER['HTTP_X_CLIENT']; 
}else{
    $ip = $_SERVER['REMOTE_ADDR']; 
}



// We need to use the php classes
include("geoip.inc");
include("geoipcity.inc");
include("geoipregionvars.php");

/* 
The binary database must be at the 
correct location for this application
to work correctly. 

Please make sure you edit the path below
to reflect the correct path.

A good option is to hardcode the server 
absolute path here.
*/
//echo $_SERVER['DOCUMENT_ROOT']; exit;

$db_path = $_SERVER['DOCUMENT_ROOT']."/GeoIP/inc-geoip/GeoLiteCity.dat";

//$db_path = "/var/www/vhosts/redshiftwebdev.com/geoip/inc-geoip/GeoLiteCity.dat";

$gi = geoip_open($db_path,GEOIP_STANDARD);


$record = geoip_record_by_addr($gi,$ip);

/* 
Please use the following methods for each field. 
Taking the example that you have provided in skype
*/

// geoiprecord Object ( [country_code] => CA [country_code3] => CAN [country_name] => Canada [region] => MB [city] => Winnipeg [postal_code] => [latitude] => 49.8833 [longitude] => -97.1667 [area_code] => [dma_code] => [metro_code] => [continent_code] => NA )

$your_ip = $ip;

$country_code2	 = $record->country_code; // CA
$country_code3	 = $record->country_code3; // CAN
$country		 = $record->country_name; // Canada
$state_short	 = $record->region;  // MB
$state_long		 = $GEOIP_REGION_NAME[$record->country_code][$record->region]; // Manitoba
$city			 = $record->city; // Winnipeg
$postal			 = $record->postal_code; //
$latitude 		 = $record->latitude; // 49.8833
$longitude		 = $record->longitude; // -97.1667
$area_code		 = $record->area_code; //
$dma_code		 = $record->dma_code; //
$metro_code		 = $record->metro_code; //
$continent_code	 = $record->continent_code; // NA

// print "Hello, I see you are located in ".$record->city.",".$GEOIP_REGION_NAME[$record->country_code][$record->region].",".$record->country_name."... Your IP address is ".$ip;

// If you want to use other data elements, uncomment following and check
// print_r($record);

geoip_close($gi);

?>
