<?php
    $lat = $_GET['lat'];
    $long = $_GET['long'];
?>
<html>
  <head>
<meta name="viewport" content="initial-scale=1.0, user-scalable=no" />
<style type="text/css">
  html { height: 100% }
  body { height: 100%; margin: 0; padding: 0 }
  #map-canvas { height: 100% }
</style>
<script type="text/javascript"
  src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDxVucBtLP4XefoM4syoigBgXntwkVGxv8&sensor=false">
</script>
<script type="text/javascript">
function initialize() {  
  var map_lat = <?php echo $lat; ?>;
  var map_long = <?php echo $long; ?>;
  var map_title = "Location";

  var myLatlng = new google.maps.LatLng(map_lat, map_long);
  var myOptions = {zoom: 12, center: myLatlng, mapTypeId: google.maps.MapTypeId.ROADMAP };
  var map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);

  var marker = new google.maps.Marker({
      position: myLatlng,
      map: map,
      title:map_title});

  google.maps.event.addDomListener(window, "resize", function() {
   var center = map.getCenter();
   google.maps.event.trigger(map, "resize");
   map.setCenter(center);
  });
}
 </script>
  </head>
  <body onload="initialize()" style="margin: 0;">
    <div id="map_canvas" style="width: 100%; height: 300px"></div>
  </body>
</html>