<?php
session_start();

if(empty($_GET['id'])){
	echo "Error: Contact Record Not Found";
	exit;
}

// Create Variables from Session
if (isset($_GET['g']) == 1){
	$first_name = $_SESSION['guestfirstName'];
	$last_name = $_SESSION['guestlastName'];
	$email = $_SESSION['guestemail'];
	$phone = $_SESSION['guestphone'];
}
else{
	$first_name = $_SESSION['firstName'];
	$last_name = $_SESSION['lastName'];
	$email = $_SESSION['email'];
	$phone = $_SESSION['phone'];
}
$venue_start = $_SESSION['venueStart'];
$venue_day = $_SESSION['venueDay'];
$venue_month = $_SESSION['venueMonth'];
$venue_date = $_SESSION['venueDate'];
$venue_date_sup = $_SESSION['venueDateSup'];
$venue_building = $_SESSION['venueBuilding'];
$venue_address = $_SESSION['venueAddress'];
$venue_city = $_SESSION['venueCity'];
$venue_state = $_SESSION['venueState'];
$venue_zip = $_SESSION['venueZip'];
$aff_ref_id = $_SESSION['affID'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="en" >
<head>
	<meta charset="utf-8"/>
    <title>Event eTicket for <?php echo $first_name; ?></title>
    <meta name="robots" content="noindex,nofollow">
<style>
/* ########### START 'PRINT TICKET' CSS ############ */
#ticket-container {display:none; }
body#ticket-container {display:block; width:800px; font:normal 14px/18px Arial, Helvetica, sans-serif;margin: 15px auto;}
.dots {position:relative; top:-1px;}
#ticket {width:100%; height:300px; margin-bottom:15px; position:relative; }
#ticket-details {width: 550px;position: absolute;top: 185px;left:5px;z-index: 1;padding: 20px;}
#ticket-details h1 {font-size:26px; line-height:32px; margin:0; padding:0;}
#ticket-details h2 {font-size:16px; line-height:20px; margin:3px 0 10px; padding:0; font-weight:normal;}
#ticket-details p {margin-bottom:5px;}
#ticket-details p.date-time {font-size:13px; line-height:20px; font-weight:bold; }
#ticket-details ul { padding-left: 1em; }
#ticket-image {position:relative; z-index:0; }
#promo {width:290px; display:inline-block; padding-right:5px; }
#gifts {width:300px; display:inline-block; }
#disclaimer {padding:5px 0;}
#disclaimer p {font-size:10px; line-height:14px; }
#print-ticket {width:94px; position:absolute; top:20px; left:650px; display:none; }
#print-ticket.display {display:block; }
#print-ticket a {display:block; }

@media print {
	#print-ticket.display {display:none; }
}
/* ########### **END 'PRINT TICKET' CSS ############ */	
</style>
</head>
<body id="ticket-container">

	<div id="ticket">
    	<div id="ticket-details">
			<table width=100% border=0>
				<tr>
					<td colspan="2"><p><center><strong><?php echo $venue_day; ?>, <?php echo $venue_month; ?> <?php echo $venue_date.$venue_date_sup; ?> at <?php echo $venue_start; ?></strong></center></p></td>
				</tr>
				<tr>
					<td><p><strong>Venue Location:</strong></p>
						<p><?php echo $venue_building; ?><br>
						<?php echo $venue_address; ?><br>
						<?php echo $venue_city; ?>, <?php echo $venue_state; ?> <?php echo $venue_zip; ?></p>
						<p><strong>Workshop Starts At <?php echo $venue_start; ?></strong></p>
					</td>
					<td><p><strong>Ticket Valid for:</strong></p>
						<p><strong>Name:</strong> <?php echo $first_name; ?> <?php echo $last_name; ?><br/>
						<strong>Email:</strong> <?php echo $email; ?><br/>
						<strong>Phone:</strong> <?php echo $phone; ?></p>
						<p><strong>Bonus Code:</strong> 161803</p>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<p>&nbsp;</p>
						<p><center>** You must be in attendance to receive the FREE Gifts **</center></p>
					</td>
				</tr>
			</table>
        </div><!-- END id="ticket-details" -->
    	<img src="http://rockwellbootcamp.com/e/tickets/images/rockwell-bootcamp-ticket.png" id="ticket-image">
    </div><!-- END id="ticket" -->
    
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
<script type='text/javascript'>
$(document).ready(function() {
    //this one line will disable the right mouse click menu  
    //$(document)[0].oncontextmenu = function() {return false;}  
});
</script>
</body>
</html>