<?php
Class contacts extends Controller {

    public function __construct(){
        parent::__construct();
    }

    public function index(){
        $user = Current::getCurrent()->getUser();
        $isAllowed = $this->utility->checkUserPermissions($user,'10');
        if(!$isAllowed){
            View::set404();
            return false;
        }
        $data = $this->model->index();
        $this->view->state = $data['state'];
        $this->view->masterminds = $data['masterminds'];
        $this->view->showTagBtn = empty($this->view->state) || !$this->view->state['mmtagID'] || !$this->view->state['mmCallTag'];
        $this->view->showListBtn = !$this->view->showTagBtn && empty($this->view->masterminds);
        $this->view->setLayout('admin');
        $this->view->render('mmcall',$data);
        return true;
    }
}