<?php
Class settings extends Controller {

    public function __construct(){
        parent::__construct();
    }

    public function index(){
        //bootcamp
        $user = Current::getCurrent()->getUser();
        $isAllowed = $this->utility->checkUserPermissions($user,'10');
        if(!$isAllowed){
            View::set404();
            return false;
        }
        $data = $this->model->index();
        $this->view->title = 'Bootcamp Campaign Tag Settings';
        $this->view->setLayout('admin');
        $tag = new model_tag();
        $this->view->tags = $tag->getTags(false);
        $this->view->render('bootcamp-settings',$data);
        return true;
    }

    public function summit(){
        //2 day event
        $user = Current::getCurrent()->getUser();
        $isAllowed = $this->utility->checkUserPermissions($user,'10');
        if(!$isAllowed){
            View::set404();
            return false;
        }
        $data = $this->model->summit();
        $this->view->title = '2 Day Event Campaign Tag Settings';
        $this->view->setLayout('admin');
        $tag = new model_tag();
        $this->view->tags = $tag->getTags(false);
        $this->view->render('event-settings',$data);
        return true;
    }

    public function mastermind(){
        $user = Current::getCurrent()->getUser();
        $isAllowed = $this->utility->checkUserPermissions($user,'10');
        if(!$isAllowed){
            View::set404();
            return false;
        }
        $data = $this->model->mastermind();
        $this->view->title = 'Mastermind Tag Settings';
        $this->view->setLayout('admin');
        $tag = new model_tag();
        $this->view->tags = $tag->getTags(false);
        $this->view->render('mmsettings',$data);
        return true;
    }
}