<?php
Class model_event extends Model{
	public $ajax;
	public $tableName;

	public function __construct(){
		parent::__construct();
		$this->ajax = new model_ajax();
		$this->tableName = 'events';
		return true;
	}

	public function getEvents($id=false,$type=false){
		$id = intval($id);
		if(!$id){
			$typeRequest = $type ? " WHERE type='".$type."'":"";
			$sql = 'SELECT * FROM '.$this->tableName.$typeRequest;
		}
		else{
			$typeRequest = $type ? " AND type='".$type."'":"";
			$sql = 'SELECT * FROM '.$this->tableName.' WHERE id='.$id.$typeRequest;
		}
		$data = $this->db->hardSelect($sql);


		if(!empty($data)){
			$newData = array();
			foreach($data as $event){
				$newData[$event->id] = $event;
			}
		}else{
			$newData = $data;
		}
		return $newData;
	}

	public function createEvent(){
		$data = array(
			'title'=>$_POST['title'],
			'tagId'=>$_POST['tagId'],
			'type'=>$_POST['type'],
			'purchasedTag'=>$_POST['purchasedTag'],
			'confirmedTag'=>$_POST['confirmedTag'],
			'canceledTag'=>$_POST['canceledTag'],
			'phoneTag'=>$_POST['phoneTag'],
			'vipTag'=>$_POST['vipTag'],
			'attendedTag'=>$_POST['attendedTag'],
			'liveTag'=>$_POST['liveTag'],
			'useGlobal'=>$_POST['useGlobal']
		);
		$id = $this->db->insert($this->tableName, $data);
		$this->ajax->setResponse(true,$id);
		$this->ajax->getResponse();
		return true;
	}

	public function updateEvent(){
		$id = intval($_POST['id']);
		$data = array(
			'title'=>$_POST['title'],
			'type'=>$_POST['type'],
			'tagId'=>$_POST['tagId'],
			'purchasedTag'=>$_POST['purchasedTag'],
			'attendedTag'=>$_POST['attendedTag'],
			'confirmedTag'=>$_POST['confirmedTag'],
			'canceledTag'=>$_POST['canceledTag'],
			'phoneTag'=>$_POST['phoneTag'],
			'vipTag'=>$_POST['vipTag'],
			'liveTag'=>$_POST['liveTag'],
			'useGlobal'=>$_POST['useGlobal'],
			'id'=>$id
		);
		$id = $this->db->updateRecord($this->tableName, $data, array('id'=>$id));
		$this->ajax->setResponse(true,$id);
		$this->ajax->getResponse();
		return true;
	}

	public function removeEvent(){
		$id = intval($_POST['id']);
		if(!$id){
			$this->ajax->setResponse(false,5);
			$this->ajax->getResponse();
			return false;
		}
		$this->db->hardDelete('DELETE FROM `'.$this->tableName.'` WHERE id='.$id.';');
		$this->db->hardDelete('DELETE FROM `sessions` WHERE eventId='.$id.';');
		$this->db->hardDelete('DELETE FROM `registrants` WHERE eventId='.$id.';');
		$this->ajax->setResponse(true,1);
		$this->ajax->getResponse();
		return true;
	}

	public function getLastVisible(){
		$sql = 'SELECT * FROM '.$this->tableName.' WHERE hidden=10 ORDER BY id LIMIT 1';
		$data = $this->db->hardSelect($sql);
		return $data[0] ? $data[0]->id : false;
	}
}