<?php
Class model_mastermind extends Model{
    public $ajax = false;

    public function __construct(){
        parent::__construct();
        $this->fields = [
            'mmtagID',
            'mmCallTag',
            'mmLiveBRtag'
        ];
        $this->ajax = new model_ajax();
        return true;
    }

    public function index(){
        if($_SERVER['REQUEST_METHOD']=='POST'){
//            $this->saveData();
            return false;
        }
        $data['state'] = $this->getStateData();
        $data['masterminds'] = $this->getMasterMinds();
        return $data;
    }

    public function getMasterMinds(){
        $sql = 'SELECT * FROM `masterminds`';
        return $this->db->hardSelect($sql);
    }

    public function syncMasterminds($tagId){
        $this->db->hardDelete('DELETE FROM `masterminds`;');
        $values = '';
        $isoft = new Infusionsoft();
        $data = $isoft->getContactsByTag($tagId,false,['ContactId','Contact.Email','Contact.FirstName','Contact.LastName']);
        if(empty($data)){
            $this->ajax->setResponse(false,11);
            $this->ajax->getResponse();
            return false;
        }
        foreach($data as $record){
            $values .= ",('".$record['ContactId']."','".$record['Contact.Email']."','".$record['Contact.FirstName']."','".$record['Contact.LastName']."')";
        }
        $values = ltrim($values,',');
        $this->db->simpleQuery('INSERT INTO `masterminds` (ContactId, email, firstName, lastName) VALUES '.$values.';');
        $this->ajax->setResponse(true,1);
        $this->ajax->getResponse();
        return true;
    }
}