<?php
/**
 * Created by PhpStorm.
 * User: alex
 * Date: 10/2/18
 * Time: 17:39
 */

class model_script extends Model {
	public function __construct(){
		parent::__construct();
		return true;
	}

	public function getSession($id){
		$id = intval($id);
		if (!$id){
			return false;
		}
		$session = new model_sessions();
		return $session->getSession($id);
	}


	public function sessionTimeString($session){
		$fullDate = $session->sessionChosen;
		$ymd = explode(' ',$fullDate)[0];
		$fullDate = $session->fullDate;
		$timeampm = explode('at',$fullDate);
		$timeampm = end($timeampm);
		$timeampm = trim($timeampm);

		$time24h = date('H:i:s',strtotime($timeampm));
		return $ymd.' '.$time24h;
	}

	public function sessionLocation($session){
		return $session->hotelName. ', '. $session->street;
	}

	public function sessionDesc(){
		return 'Learn How To Trade Stocks And Options - Perfect For Beginners';
	}

	public function sessionTitle(){
		return 'Free Stock Trading Bootcamp';
	}

	public function sessionDuration(){
		return 480;
	}

	public function getFormData($session){
		$data = [];
		$data['city'] = trim(explode(',',$session->street)[1]);
		$state = trim(explode(',',$session->street)[2]);
		$lastSpacePosition = strrpos($state, ' ');
		$data['state'] = substr($state, 0, $lastSpacePosition);
		unset($state); unset($parts); unset($last);
		$data['date'] = $session->fullDate;
		return $data;
	}

}