<?php
Class model_tracker extends Model{
    public $ajax;

    public function __construct(){
        parent::__construct();
        $this->ajax = new model_ajax();
        return true;
    }


    public function getPairs($id=false){
        if(!$id){
            $sql = 'SELECT * FROM `trackerPairs`';
        }else{
            $sql = 'SELECT * FROM `trackerPairs` WHERE trackerPairs.id='.$id.';';
        }
        return $this->db->hardSelect($sql);
    }

    public function findPair($sourceVal){
	    $sql = 'SELECT * FROM `trackerPairs` WHERE trackerPairs.SourceVal="'.$sourceVal.'";';
	    $result = $this->db->hardSelect($sql);
	    if(is_array($result)){
	    	return $result[0];
	    }
	    return false;
    }

    public function create(){
        $SourceName = $_POST['SourceName'];
        $SourceVal = $_POST['SourceVal'];
        if(!$SourceName || !$SourceVal){
            $this->ajax->setResponse(false,15);
            $this->ajax->getResponse();
            return false;
        }
        $databaseValues = ['SourceVal'=>$SourceVal,'SourceName'=>$SourceName];
        $id = $this->db->insert('trackerPairs',$databaseValues);
        $this->ajax->setResponse(true,$id);
        $this->ajax->getResponse();
        return true;
    }

    public function update(){
	    $SourceName = $_POST['SourceName'];
        $SourceVal = $_POST['SourceVal'];
        $id = intval($_POST['id']);
        if(!$SourceName || !$SourceVal ||!$id){
            $this->ajax->setResponse(false,15);
            $this->ajax->getResponse();
            return false;
        }
        $databaseValues = ['SourceVal'=>$SourceVal,'SourceName'=>$SourceName];
        $id = $this->db->updateRecord('trackerPairs', $databaseValues, array('id'=>$id));
        $this->ajax->setResponse(true,$id);
        $this->ajax->getResponse();
        return true;
    }

    public function remove(){
        $id = intval($_POST['id']);
        if(!$id){
            $this->ajax->setResponse(false,12);
            $this->ajax->getResponse();
            return false;
        }
        $this->db->hardDelete('DELETE FROM `trackerPairs` WHERE id='.$id.';');
        $this->ajax->setResponse(true,$id);
        $this->ajax->getResponse();
        return true;
    }

    public function processor(){
        //http://event-stage.test/tracker/processor/?contactId=1204898&sourceVal=GA_PDX_June_2018
        $contactId = intval($_POST['contactId']);
        $sourceVal = strtolower($_POST['sourceVal']);
        if (!$contactId){
            return false;
        }

        $SourceName = 'unknown';
	    $pair = $this->findPair($sourceVal);
        if($pair){
	        $SourceName = $pair->SourceName;
        }

        $ifs = new Infusionsoft();
        $ifs->updateContact($contactId,['_BootcampSource' => $SourceName]);
        return true;
    }

}