<?php
/** @var $data **/
?>
<a href="/user/" class="btn btn-primary pull-right">User List</a>
<h2><?=$this->title?></h2>
<div class="clearfix"></div>
<form method="post" id="create-user" action=""  autocomplete="off">

    <div class="form-group">
        <label for="userLogin">Login:</label>
        <input required="true" type="email" id="userLogin" class="form-control" autocomplete="off" name="userLogin" value="<?=$data[0]->userLogin;?>"/>
    </div>

    <div class="form-group">
        <label for="userPassword">Password:</label>
        <input required="true" type="password" id="userPassword" autocomplete="off" class="form-control" name="userPassword" value=""/>
    </div>

    <div class="form-check">
        <input type="checkbox" class="form-check-input" id="showPassword">
        <label class="form-check-label" for="showPassword">Show Password</label>
    </div>

    <div class="form-group">
        <?php $permissions = user::getPermissions();?>
        <label for="userPermissions">Permissions:</label>
        <select class="form-control" id="userPermissions" name="userPermissions" >
            <?php foreach($permissions as $key => $value): ?>
                <?php echo $data[0]->userPermissions.' = '.$key;?>
                <option <?= ($data[0]->userPermissions == $key) ? 'selected' : '';?> value="<?=$key?>"><?=$value;?></option>
            <?php endforeach;?>
        </select>

    </div>


    <?php if($this->error):?>
        <div class="create-field error-field">
            <?=$this->error;?>
        </div>
    <?php endif;?>

    <div class="create-field form-group">
        <input type="button" class="btn btn-primary" id="create" value="Create"/>
    </div>

</form>

<script>

</script>