<?php /**@var $data **/?>
<!DOCTYPE html>
<html lang="en" >
<head>
    <meta charset="utf-8"/>
    <title>Event eTicket for <?=$data['FirstName']; ?></title>
    <meta name="robots" content="noindex,nofollow">
    <style>
        *{
            margin:0; padding:0;
            font-family: Tahoma, Arial, Verdana, Geneva, sans-serif;
        }
        #ticket-container table{
            width:795px;
            height:330px;
            border-collapse: collapse;
        }
        #ticket-container table td{
            border:7px solid #d2d5df;
            position:relative;
            padding:17px 0 0 5px;
            vertical-align: middle;
            line-height:1.2em;
            font-size:17px;
        }
        .info-box {position:absolute;
        color:#a6a6a6; font-size:13px;
            left:5px; top:5px;
            text-align: center;
        }
        .logo-box {width:74px; padding:5px 0 !important;}
        .text-center {text-align:center;}
        .text-bigger {font-size: 1.2em;}
        .text-bold {font-weight: bold;}
        .qr-code img{
            width:128px;
        }
        .qr-code{padding:0 !important; text-align:center;}

    </style>
</head>
<body id="ticket-container">
    <table border="1">
        <tr>
            <td rowspan="5" class="logo-box">
                <img src="/images/vert-logo3.jpg" alt="">
            </td>
            <td colspan="3" class="text-center"><span class="info-box">Event</span>
                <span class="text-center text-bigger text-bold">Rockwell Trading Bootcamp in <?=$data['_VenueCity'];?></span>
            </td>
        </tr>
        <tr>
            <td colspan="3"><span class="info-box">Date+Time</span>
                <?=$data['_VenueFullDate'];?> at <?=$data['_VenueStartTime']; ?>
            </td>
        </tr>
        <tr>
            <td colspan="3"><span class="info-box">Location</span>
                <strong><?php echo $data['_VenueBuilding']; ?></strong><br> <?php echo $data['_VenueAddress1']; ?>, <?php echo $data['_VenueCity']; ?>, <?php echo $data['_VenueState']; ?>, <?php echo $data['_VenueZip']; ?>
            </td>
        </tr>
        <tr>
            <td><span class="info-box">Type</span>
            Rockwell Trading Bootcamp ($97 Value)
            </td>
            <td><span class="info-box">Payment Status</span>Complete</td>
            <td rowspan="2" class="qr-code"><img src="/images/qr.png" alt=""></td>
        </tr>
        <tr>
            <td colspan="2"><span class="info-box">Order Info</span> Ordered By <?php echo $data['FirstName']; ?> <?php echo $data['LastName']; ?>, <?php echo $data['Email']; ?></td>
        </tr>
    </table>
</body>
</html>