<?php
/** @var $data **/
?>
<div>
    <a href="/event/" class="btn btn-primary pull-right" style="margin-left:10px;">Open Event List</a>
    <button class="btn btn-primary pull-right refresh-tags"><i class="fa fa-refresh"></i> Sync Tags</button>
</div>
<form method="post" id="create-event" action="" class="loading-form"  autocomplete="off">
    <h2>Create a new Event</h2>
<div class="clearfix"></div>
    <div class="form-group">
        <label for="title">Title (<a href="#" class="use-ph" data-target="title">Use placeholder</a>):</label>
        <input required="required" type="text" id="title" class="form-control" placeholder="City, Month 20XX" name="title" autocomplete="off" value=""/>
    </div>

    <div class="form-group">
        <label for="hidden">Event Type</label>
        <select class="form-control" id="type" name="type">
            <option value="boot">Bootcamp</option>
            <option value="live">Live Event</option>
        </select>
    </div>

    <div class="form-group">
        <label for="tagId">Registration TagId:</label>
        <?=View::generateSelect('tagId',$this->tags,false,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group">
        <label for="attendedTag">Attended TagId:</label>
		<?=View::generateSelect('attendedTag',$this->tags,false,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group">
        <label for="purchasedTag">Purchased TagId:</label>
		<?=View::generateSelect('purchasedTag',$this->tags,false,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group">
        <label for="confirmedTag">Confirmed TagId:</label>
		<?=View::generateSelect('confirmedTag',$this->tags,false,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group">
        <label for="canceledTag">Canceled TagId:</label>
		<?=View::generateSelect('canceledTag',$this->tags,false,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group">
        <label for="phoneTag">Phone Purchase TagId:</label>
		<?=View::generateSelect('phoneTag',$this->tags,false,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group vip-tag" style="display:none;">
        <label for="vipTag">VIP TagId:</label>
		<?=View::generateSelect('vipTag',$this->tags,false,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group live-membership">
        <label for="liveTag">2 Day Live Membership TagId:</label>
		<?=View::generateSelect('liveTag',$this->tags,false,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-check">
		<?=$this->generateCheckbox('Trigger Campaign Goals?',false,'useGlobal','useGlobal');?>
    </div>

    <div class="create-field form-group">
        <input type="button" class="btn btn-primary" id="create" value="Create"/>
    </div>
</form>