<div class="container">
    <?php if(isset($_GET['removed'])):?>
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        Event Was Successfully Removed!
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <?php endif;?>
    <div>
        <a href="/event/create/" class="btn btn-primary pull-right"><i class="fa fa-plus"></i> Create a new Event</a>
    </div>
    <h1><?=$this->title?></h1>
    <div class="clearfix"></div>

<?php if(!empty($data)):?>
    <table class="table table-bordered table-striped table-hover white-bg t-valign hidden-table">
        <thead>
        <tr>
            <th>Event Id</th>
            <th>Event Title</th>
            <th>Type</th>
            <th>Manage</th>
        </tr>
        </thead>
        <tbody class="searchable">


    <?php  foreach($data as $event):?>

        <tr>
            <td><?= $event->id ?></td>
            <td><?= $event->title ?> <?=$event->useGlobal?'<i style="color:#28a745;" class="fa fa-check-circle-o" aria-hidden="true"></i>':''?></td>
            <td><?= $event->type == 'boot' ? 'Bootcamp' : 'Live Event' ?></td>
            <td class="">
                <div class="btn-group">

                    <a href="/registrants/show/<?= $event->id ?>" class="btn btn-outline-success btn-sm ">Registrants</a>
                </div>
                <div class="btn-group">
                    <a href="/stats/show/<?= $event->id ?>" class="btn btn-outline-info btn-sm ">Stats</a>
                </div>
                <div class="btn-group">
                    <div class="dropdown">
                        <button class="btn btn-outline-dark dropdown-toggle btn-sm" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Admin Actions
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                            <a href="/sessions/index/<?= $event->id ?>" class="dropdown-item">Open Dates</a>
                            <a href="/event/update/<?=$event->id?>" class="dropdown-item">Edit</a>
                            <a href="#" data-id="<?=$event->id?>" class="dropdown-item remove-event">Remove</a>
                        </div>
                    </div>
                </div>
            </td>
        </tr>

    <?php endforeach; endif;?>
        </tbody>
    </table>

    <ul class="pagination"></ul>

</div>