<?php
/** @var $data **/
?>
<div>
    <a href="/event/" class="btn btn-primary pull-right" style="margin-left:10px;">Open Event List</a>
    <button class="btn btn-primary pull-right refresh-tags"><i class="fa fa-refresh"></i> Sync Tags</button>
</div>
<h2>Update an Event</h2>
<form method="post" id="update-event" action="" class="loading-form" autocomplete="off">
<div class="clearfix"></div>
    <div class="form-group">
        <label for="title">Title (<a href="#" class="use-ph" data-target="title">Use placeholder</a>):</label>
        <input required="required" type="text" id="title" class="form-control" placeholder="City, Month 20XX" name="title" autocomplete="off" value="<?=$data->title?>"/>
    </div>

    <div class="form-group">
        <label for="hidden">Event Type</label>
        <select class="form-control" id="type" name="type">
            <option <?=$data->type=='boot'?'selected':''?> value="boot">Bootcamp</option>
            <option <?=$data->type=='live'?'selected':''?> value="live">Live Event</option>
        </select>
    </div>

    <div class="form-group">
        <label for="tagId">Registration TagId:</label>
        <?=View::generateSelect('tagId',$this->tags,$data->tagId,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group">
        <label for="attendedTag">Attended TagId:</label>
		<?=View::generateSelect('attendedTag',$this->tags,$data->attendedTag,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group">
        <label for="purchasedTag">Purchased TagId:</label>
		<?=View::generateSelect('purchasedTag',$this->tags,$data->purchasedTag,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group">
        <label for="confirmedTag">Confirmed TagId:</label>
		<?=View::generateSelect('confirmedTag',$this->tags,$data->confirmedTag,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group">
        <label for="canceledTag">Canceled TagId:</label>
		<?=View::generateSelect('canceledTag',$this->tags,$data->canceledTag,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group">
        <label for="phoneTag">Phone Purchase TagId:</label>
		<?=View::generateSelect('phoneTag',$this->tags,$data->phoneTag,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group vip-tag" style="<?=$data->type!='live'?'display:none;':''?>">
        <label for="vipTag">VIP TagId:</label>
		<?=View::generateSelect('vipTag',$this->tags,$data->vipTag,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-group live-membership" style="<?=$data->type!='boot'?'display:none;':''?>">
        <label for="liveTag">2 Day Live Membership TagId:</label>
		<?=View::generateSelect('liveTag',$this->tags,$data->liveTag,false,true,'selectpicker form-control')?>
    </div>

    <div class="form-check">
		<?=$this->generateCheckbox('Trigger Campaign Goals?',$data->useGlobal,'useGlobal','useGlobal');?>
    </div>

    <input type="hidden" name="id" id="id" value="<?=$data->id?>">

    <div class="create-field form-group">
        <input type="button" class="btn btn-primary" id="update" value="Update"/>
    </div>

</form>