<?php /**@var $data **/?>
<div id="mmbtn-wrap" style="padding-bottom:50px;">
<?php if ($this->showTagBtn):?>
<div class="text-center">
        <h3>Tags are not set</h3>
        <button type="button" onclick="window.location.href='/mmsettings/'" id="mm-sync" class="btn btn-primary btn-lg">Set Up tags</button>
</div>
<?php endif;?>

<?php if($this->showListBtn):?>
    <div class="text-center">
        <h3>The list is empty</h3>
        <button type="button" data-tag-id="<?=$this->state['mmtagID'];?>" id="mm-sync" class="btn btn-primary btn-lg mm-sync">Get a list of MasterMind Customers</button>
</div>
<?php endif;?>

<?php if(!$this->showListBtn && !$this->showTagBtn):?>

    <div style="margin-bottom:30px; padding: 0 15px;" class="row">
        <div class="col"><h3>List of All Mastermind Customers</h3></div>
        <div class="col">
            <button type="button" data-tag-id="<?=$this->state['mmtagID'];?>" class="btn btn-primary mm-sync pull-right"><i class="fa fa-refresh" aria-hidden="true"></i> Sync Data</button>
        </div>
    </div>


    <div class="clearfix"></div>
    <table class="table table-bordered table-striped table-hover white-bg t-valign hidden-table">
        <thead>
        <tr>
            <th data-filter="true" data-filter-type="numeric" data-filter-param="id-order">Contact Id</th>
            <th data-filter="true" data-filter-type="symbolic" data-filter-param="email" data-filter-title="Nick Name">Email</th>
            <th data-filter="true" data-filter-type="symbolic" data-filter-param="firstname" data-filter-title="First Name">First Name</th>
            <th data-filter="true" data-filter-type="symbolic" data-filter-param="lastname" data-filter-title="Last Name">Last Name</th>
            <th>Manage</th>
        </tr>
        </thead>
        <tbody class="searchable">
        <?php foreach($this->masterminds as $user):?>
            <tr>
                <td><?= $user->contactId ?></td>
                <td><?= $user->email ?></td>
                <td><?= $user->firstName ?></td>
                <td><?= $user->lastName ?></td>
                <td class="">
                    <p>
                        <button data-email="<?= $user->Email ?>" data-contactid="<?= $user->contactId; ?>" data-tagid="<?= $this->state['mmCallTag']; ?>" type="button" class="btn btn-outline-dark btn-sm send-replay apply-tag">Send Replay</button>
                        <button data-email="<?= $user->Email ?>" data-contactid="<?= $user->contactId; ?>" data-tagid="<?= $this->state['mmLiveBRtag']; ?>" type="button" class="btn btn-outline-dark btn-sm apply-tag">Attended Live BR</button>
                    </p>
                    <div>
                        <button data-contactid="<?= $user->contactId; ?>" data-firstname="<?= $user->firstName; ?>" data-lastname="<?= $user->lastName; ?>" type="button" class="btn btn-outline-dark btn-sm gen-rec">Generate Recording Text</button>
                        <a href="https://rockwell.infusionsoft.com/Contact/manageContact.jsp?view=edit&ID=<?=$user->contactId;?>" target="_blank" class="btn btn-outline-dark btn-sm">Open Profile</a>
                    </div>
                </td>
            </tr>
        <?php endforeach;?>
        </tbody>
    </table>

<?php endif;?>
</div>