<?php /**@var $data **/?>
<?php if(isset($_GET['added'])):?>
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        Contact was successfully created and marked as attended!
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <script>
        window.history.pushState({}, document.title, "<?=CURRENT_LINK;?>");
    </script>
<?php endif;?>
<div id="regbtn-wrap" style="padding-bottom:50px;">
    <div style="margin-bottom:30px; padding: 0 15px;" class="row">
        <div class="col"><h4><?=$this->title;?></h4> <?php if($this->tagName):?><p class="current-tag">Current registration tag: <?=$this->tagName;?></p><?php endif;?></div>
        <div class="col">
            <button type="button" data-event-id="<?=$this->eventId;?>" class="btn btn-primary reg-sync pull-right"><i class="fa fa-refresh" aria-hidden="true"></i> Sync Data</button>
            <button type="button" id="add-contact" class="btn btn-primary pull-right" style="margin-right:20px;"><i class="fa fa-plus" aria-hidden="true"></i> Add New Customer</button>
        </div>
    </div>
    <div class="clearfix"></div>

    <?php if ($this->showTagBtn):?>
        <div class="text-center">
            <h3>Tags are not set</h3>
            <button type="button" onclick="window.location.href='/contactsettings/'" class="btn btn-primary btn-lg">Set Up tags</button>
        </div>
    <?php endif;?>

    <?php if($this->showListBtn):?>
        <div class="text-center">
            <h3>The list is empty</h3>
            <button type="button" data-event-id="<?=$this->eventId;?>" class="btn reg-sync btn-primary btn-lg">Get a list of Registrants</button>
        </div>
    <?php endif;?>

    <?php if(!$this->showListBtn && !$this->showTagBtn):?>



        <table class="table table-bordered table-striped table-hover white-bg t-valign hidden-table">
            <thead>
            <tr>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email</th>
                <th>Manage</th>
            </tr>
            </thead>
            <tbody class="searchable">
            <?php foreach($this->registrants as $user):?>
                <tr>

                    <td><?= $user->FirstName ?></td>
                    <td><?= $user->LastName ?></td>
                    <td class="badge-area" data-contactid="<?= $user->ContactId; ?>"><a target="_blank" href="https://rockwell.infusionsoft.com/Contact/manageContact.jsp?view=edit&ID=<?= $user->ContactId; ?>"><?= $user->Email ?></a> <?=$this->attendedBadge($user->attended).' '.$this->purchasedBadge($user->purchased)?></td>
<!--                    <td class="--><?php //echo $user->attended == 'Y' ? 'table-success': '';?><!--">--><?//= $user->attended ?><!--</td>-->
                    <td class="">

                        <p><button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['attendTag']; ?>" data-eventid="<?=$this->eventId;?>" type="button" class="btn btn-outline-dark btn-sm mark-attended">Attended</button></p>

                        <p><button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" type="button" class="btn btn-outline-dark btn-sm submit-info">Info</button></p>

	                    <?php if($this->buttons['sendText']):?>
                        <p><button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['sendText']; ?>" type="button" class="btn btn-outline-dark btn-sm apply-tag">Send a text</button></p>
	                    <?endif;?>

	                    <?php if($this->buttons['reviewText']):?>
                            <p><button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['reviewText']; ?>" type="button" class="btn btn-outline-dark btn-sm apply-tag">Send review text</button></p>
	                    <?endif;?>

                        <div class="btn-group">
                            <button class="btn btn-secondary btn-outline-dark btn-sm dropdown-toggle mark-buyer" data-contactid="<?= $user->ContactId; ?>" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
	                            Purchased
                            </button>
                            <div class="dropdown-menu">
                                <?php if($this->buttons['vipTicketTag']):?>
<!--                                <button data-email="--><?//= $user->Email ?><!--" data-contactid="--><?//= $user->ContactId; ?><!--" data-tagid="--><?//= $this->buttons['regTicketTag']; ?><!--" data-eventid="--><?//=$this->eventId;?><!--" type="button" class="dropdown-item purchase-button">Regular Ticket</button>-->
                                <button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['vipTicketTag']; ?>" data-price="97" data-productid="632" data-eventid="<?=$this->eventId;?>" type="button" class="dropdown-item invoice-button">VIP Ticket</button>
                                <?php endif;?>
                                <button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['innerCircleStart']; ?>" data-price="65000" data-productid="609" data-eventid="<?=$this->eventId;?>" type="button" class="dropdown-item invoice-button">InnerCircle</button>
                                <button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['diamondLifetimeStartTag']; ?>" data-price="30000" data-productid="644" data-eventid="<?=$this->eventId;?>" type="button" class="dropdown-item invoice-button">Diamond - Lifetime</button>
                                <button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['diamondStartTag']; ?>" data-price="30000" data-productid="611" data-eventid="<?=$this->eventId;?>" type="button" class="dropdown-item invoice-button">Diamond</button>
                                <button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['platStartTag']; ?>" data-price="12000" data-productid="613" data-eventid="<?=$this->eventId;?>" type="button" class="dropdown-item invoice-button">Platinum</button>
                                <button data-email="<?= $user->Email ?>" data-contactid="<?= $user->ContactId; ?>" data-tagid="<?= $this->buttons['goldStartTag']; ?>" data-price="5000" data-productid="615" data-eventid="<?=$this->eventId;?>" type="button" class="dropdown-item invoice-button">Gold</button>
<!--                                <button data-email="--><?//= $user->Email ?><!--" data-contactid="--><?//= $user->ContactId; ?><!--" data-tagid="--><?//= $this->buttons['silverStartTag']; ?><!--" data-price="97" data-productid="632" data-eventid="--><?//=$this->eventId;?><!--" type="button" class="dropdown-item invoice-button">Silver</button>-->
                            </div>
                        </div>

                       </td>
                </tr>
            <?php endforeach;?>
            </tbody>
        </table>

        <ul class="pagination"></ul>


    <?php endif;?>
    <?php //var_dump($this->masterminds); ?>

</div>
<div id="popup-form">
    <form id="new-contact-form">
        <div class="form-group">
            <label for="firstname">First Name</label>
            <input type="text" class="form-control" id="firstname" name="firstname" placeholder="">
        </div>

        <div class="form-group">
            <label for="lastname">Last Name</label>
            <input type="text" class="form-control" id="lastname" name="lastname" placeholder="">
        </div>

        <div class="form-group">
            <label for="c-email">Email address *</label>
            <input type="email" class="form-control" id="c-email" name="c-email" placeholder="">
        </div>

        <div class="form-group">
            <label for="phone">Phone</label>
            <input type="text" class="form-control" id="phone" name="phone" placeholder="">
        </div>
        <input type="hidden" name="event-id" id="event-id" value="<?=$this->eventId;?>">
        <input type="hidden" name="tags" id="tags" value="<?=$this->buttons['addNewContactTag']; ?>">

        <button id="newContact" type="submit" class="btn btn-primary">Add Contact</button>
    </form>
</div>

<div id="popup-form-sale">
    <form id="sale-form">
        <div class="form-group">
            <label for="productPrice">Product price ($)</label>
            <input type="number" name="productPrice" id="productPrice">
        </div>
        <div class="form-group">
            <label for="howMuchPay">Payment to process ($)</label>
            <input type="number" name="howMuchPay" id="howMuchPay">
        </div>
        <button id="submitSale" type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>

<div id="popup-info-form">
    <form id="info-form">
        <div class="form-group">
            <label for="_DoYouTrade">Do You Currently Trade?</label>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_DoYouTrade" id="_DoYouTrade1" value="1" checked>
                <label class="form-check-label" for="_DoYouTrade1">
                    Full-time
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_DoYouTrade" id="_DoYouTrade2" value="2">
                <label class="form-check-label" for="_DoYouTrade2">
                    Part-time
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_DoYouTrade" id="_DoYouTrade3" value="3">
                <label class="form-check-label" for="_DoYouTrade3">
                    Not Yet
                </label>
            </div>
        </div>

        <div class="form-group">
            <label for="_WhatisYourCurrentOccupation">What Is Your Current Occupation?</label>
            <input type="text" class="form-control" id="_WhatisYourCurrentOccupation" name="_WhatisYourCurrentOccupation" placeholder="">
        </div>

        <div class="form-group">
            <label for="_HowMuchDoYouNeed">How much do you need to replace your current income?</label>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_HowMuchDoYouNeed" id="_HowMuchDoYouNeed1" value="1" checked>
                <label class="form-check-label" for="_HowMuchDoYouNeed1">
                    $0-$35,000
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_HowMuchDoYouNeed" id="_HowMuchDoYouNeed2" value="2">
                <label class="form-check-label" for="_HowMuchDoYouNeed2">
                    $36-$55,000
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_HowMuchDoYouNeed" id="_HowMuchDoYouNeed3" value="3">
                <label class="form-check-label" for="_HowMuchDoYouNeed3">
                    $56-$75,000
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_HowMuchDoYouNeed" id="_HowMuchDoYouNeed4" value="4">
                <label class="form-check-label" for="_HowMuchDoYouNeed4">
                    $76-$100,000
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="radio" name="_HowMuchDoYouNeed" id="_HowMuchDoYouNeed5" value="5">
                <label class="form-check-label" for="_HowMuchDoYouNeed5">
                    $100k+
                </label>
            </div>
        </div>

        <button id="submitInfo" type="submit" class="btn btn-primary">Submit Info</button>
    </form>
</div>