<?php
/** @var $data **/
?>
<button style="margin-left:10px;" class="btn btn-primary pull-right refresh-tags"><i class="fa fa-refresh"></i> Sync Tags</button>
<a href="/event/" class="btn btn-primary pull-right" style="margin-left:10px;"> Event list</a>
<a href="/sessions/index/<?=$this->eventId?>" class="btn btn-primary pull-right" style="margin-left:10px;"> Session list</a>
<?php if(!empty($data)):?>
    <div class="btn-group pull-right">
        <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Load From
        </button>
        <div class="dropdown-menu">
            <?php foreach($data as $session):?>
                <a class="dropdown-item load-from" data-session-id="<?=$session->id?>" href="#"><?=$session->fullDate;?></a>
            <?php endforeach; ?>
        </div>
    </div>
<?php endif;?>
<h2><?=$this->title?></h2>
<form method="post" id="create-session" class="loading-form" action=""  autocomplete="off">

    <div class="form-group">
        <label for="hotelName">Hotel Name:</label>
        <input required="required" type="text" id="hotelName" class="form-control" autocomplete="off" name="hotelName" value=""/>
    </div>

    <div class="form-group">
        <label for="street">Street:</label>
        <input required="required" type="text" id="street" class="form-control" autocomplete="off" name="street" value=""/>
    </div>


    <div class="form-group">
        <label for="hotelPhone">Hotel Phone:</label>
        <input required="required" type="text" id="hotelPhone" class="form-control" autocomplete="off" name="hotelPhone" value=""/>
    </div>

    <div class="form-group">
        <label for="fullDate">Full Date (<a href="#" class="use-ph" data-target="fullDate">Use placeholder</a>):</label>
        <input required="required" type="text" id="fullDate" class="form-control" autocomplete="off" placeholder="Wednesday October 3, 2018 at 12:30 PM" name="fullDate" value=""/>
    </div>

    <div class="form-group">
        <label for="sessionChosen">Session Chosen For IFS (<a href="#" class="use-ph" data-target="sessionChosen">Use placeholder</a>):</label>
        <input required="required" type="text" id="sessionChosen" class="form-control" autocomplete="off" placeholder="2018-05-15 17:00:00" name="sessionChosen" value=""/>
    </div>
    <input type="hidden" id="eventId" name="eventId" value="<?=$this->eventId?>">


    <div class="form-group">
        <label for="tags">Session Tags:</label>
        <?=View::generateSelect('tags',$this->tags,false,true,true,'selectpicker form-control')?>
    </div>

    <?php if($this->event->type == 'boot'):?>
    <div class="form-group">
        <label for="surveyForm">Survey Form:</label>
        <input type="text" id="surveyForm" class="form-control" autocomplete="off" name="surveyForm" value=""/>
    </div>
    <?php endif;?>

	<?php if($this->event->type == 'live'):?>
        <div class="form-group">
            <label for="hours">Hours:</label>
            <textarea class="form-control" id="hours" rows="3"></textarea>
        </div>
	<?php endif;?>

    <div class="create-field form-group">
        <input type="button" class="btn btn-primary" id="create" value="Create"/>
    </div>

</form>

<script>
    var allSessions = <?=json_encode($data);?>;
    loadFrom(allSessions);
    createSession();
    createSessionHelper();
    selectPickerInit();
    tagSync();
    $(document).ready(function(){
        $('.clear-tags').click(function(e){
            e.preventDefault();
            clearTags();
            return true;
        });
    });
</script>