<div class="container">
    <?php if(isset($_GET['removed'])):?>
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        Session Was Successfully Removed!
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <?php endif;?>
    <div>
        <a href="/event/" class="btn btn-primary pull-right" style="margin-left:10px;"> Event list</a>
        <a href="/sessions/create/<?=$this->eventId?>" class="btn btn-primary pull-right"><i class="fa fa-plus"></i> Create a new session</a>
    </div>
    <h1>Sessions List</h1>
    <div class="clearfix"></div>
    <div id="accordion">
    <?php if(!empty($data)): $i=0; foreach($data as $session):?>

        <div class="card">
            <div class="card-header" id="headingOne">
                <h5 class="mb-0">
                    <button class="btn btn-link collapsed" data-toggle="collapse" data-target="#collapse<?=$i?>" aria-expanded="false" aria-controls="collapse<?=$i?>">
                        <?=$session->fullDate?>
                    </button>
                </h5>
            </div>

            <div id="collapse<?=$i?>" class="collapse" aria-labelledby="heading<?=$i?>" data-parent="#accordion">
                <div class="card-body">
                    <p>
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item"><strong>Hotel Name:</strong> <?=$session->hotelName;?></li>
                            <li class="list-group-item"><strong>Street:</strong> <?=$session->street;?></li>
                            <li class="list-group-item"><strong>Hotel Phone:</strong> <?=$session->hotelPhone;?></li>
                            <li class="list-group-item"><strong>Full Date:</strong> <?=$session->fullDate;?></li>
                            <li class="list-group-item"><strong>Hours:</strong><br><?=nl2br($session->hours);?></li>
                            <li class="list-group-item"><strong>Session Chosen:</strong> <?=$session->sessionChosen;?></li>
                            <li class="list-group-item"><strong>Session ID:</strong> <?=$session->id;?></li>

                        <?php if($this->eventType == 'boot'):?>
                        <li class="list-group-item"><strong>LP link:</strong> <a target="_blank" href="https://bootcamp.rockwelltrading.com/free/stock-trading-bootcamp-free/?session=<?=$session->id;?>">https://bootcamp.rockwelltrading.com/free/stock-trading-bootcamp-free/?session=<?=$session->id;?></a></li>
                            <?php if($session->surveyForm != ''):?>
                                <li class="list-group-item"><strong>Survey Form:</strong> <a target="_blank" href="<?=$session->surveyForm;?>"><?=$session->surveyForm;?></a></li>
                            <?php endif;?>
                        <?php endif;?>
                    </ul>
                    </p>
                        <a href="/sessions/update/<?=$session->id?>" class="btn btn-primary" role="button" aria-disabled="true">Edit Session</a>
                        <a href="#" data-id="<?=$session->id;?>" class="btn btn-danger removesession" role="button" aria-disabled="true">Remove Session</a>
                </div>
            </div>
        </div>


    <?php $i++; endforeach; else:?>
        <h3 class="text-center">No sessions were created yet</h3>
    <?php endif;?>
    </div>
</div>