<?php /**@var $data **/ ?>

	<button data-event-id="<?=$this->eventId;?>" class="btn btn-primary pull-right refresh-stats"><i class="fa fa-refresh"></i> Sync Stats</button>
	<h3><?=$this->title?></h3>
	<div class="clearfix"></div>

<?php if(!$this->checkStats):?>

	<h4 class="text-center" style="margin-top:50px;">Stats are empty or not synced</h4>

<?php else:?>
	<div class="card" style="margin-top: 30px;">
		<h3 class="card-header">Total Event Stats</h3>
		<div class="card-body">
			<table class="table table-striped" style="margin-top:20px;">
				<thead>
				<tr>
					<th scope="col">Registered</th>
					<th scope="col">Confirmed</th>
					<th scope="col">Confirmed %</th>
					<th scope="col">Attended</th>
					<th scope="col">Attended %</th>
					<th scope="col">Purchased</th>
					<th scope="col">Purchased %</th>
				</tr>
				</thead>
				<tbody>
				<?php foreach($data['totalSessions'] as $row):?>
					<tr>
						<td><?=$row->regSum;?></td>
						<td><?=$row->confSum;?></td>
						<td><?=$this->utility->calculatePercent($row->confSum,$row->regSum);?></td>

                        <th><?=$this->getIFSlink($this->attendedTag,-1,$row->atSum)?></th>

						<td><?=$this->utility->calculatePercent($row->atSum,$row->regSum);?></td>
                        <th><?=$this->getIFSlink($this->purchasedTag,-1,$row->purSum)?></th>
						<td><?=$this->utility->calculatePercent($row->purSum,$row->atSum);?></td>
					</tr>
				<?php endforeach;?>
				</tbody>
				<tfoot>
				</tfoot>
			</table>
		</div>
	</div>

	<div class="card" style="margin-top: 30px;">
		<h3 class="card-header">Total Event Stats</h3>
		<div class="card-body">
			<table class="table table-striped">
				<thead>
				<tr>
					<th scope="col">Leadsource</th>
					<th scope="col">Registered</th>
					<th scope="col">Confirmed</th>
					<th scope="col">Confirmed%</th>
					<th scope="col">Attended</th>
					<th scope="col">Attended%</th>
					<th scope="col">Purchased</th>
					<th scope="col">Purchased%</th>
				</tr>
				</thead>
				<tbody>
				<?php foreach($data['totalLeadsource'] as $row):?>
					<tr>
						<td><?=$row->leadsource;?></td>
						<td><?=$row->regSum;?></td>
						<td><?=$row->confSum;?></td>
						<td><?=$this->utility->calculatePercent($row->confSum,$row->regSum);?></td>
						<td><?=$row->atSum;?></td>
						<td><?=$this->utility->calculatePercent($row->atSum,$row->regSum);?></td>
						<td><?=$row->purSum;?></td>
						<td><?=$this->utility->calculatePercent($row->purSum,$row->atSum);?></td>
					</tr>
				<?php endforeach;?>
				</tbody>
			</table>
		</div>
	</div>
<?php endif;?>