<?php $permissions = user::getPermissions();?>
<div class="container">
    <a href="/user/create/" class="btn btn-primary pull-right"><i class="fa fa-plus" aria-hidden="true"></i> Create A New User</a>
    <h1>User List</h1>
    <div class="clearfix"></div>
    <div id="user-error"></div>

    <table class="table table-bordered table-striped table-hover white-bg t-valign">
        <tr>
            <th data-filter="true" data-filter-type="numeric" data-filter-param="id-order">userID</th>
<!--            <th data-filter="true" data-filter-type="symbolic" data-filter-param="nickname" data-filter-title="Nick Name">userNickName</th>-->
            <th data-filter="true" data-filter-type="symbolic" data-filter-param="mail" data-filter-title="User Email">userLogin</th>
            <th>userRegisterDate</th>
            <th data-filter="true" data-filter-type="numeric" data-filter-param="banned">Status</th>
            <th>userPermissions</th>
            <th>Manage</th>
        </tr>
        <tbody class="searchable">
        <?php if(!empty($data)): foreach($data as $user):?>
        <?php $editLink = '/user/edit/'.$user->userID;?>
        <tr>
            <td><?= $user->userID ?></td>
<!--            <td>--><?//= $user->userNickName ?><!--</td>-->
            <td><?= $user->userLogin ?></td>
            <td><?= date('Y-m-d H:i:s',$user->userRegisterDate) ?></td>
            <td><?= $user->userBanned == 0 ? 'Active' : 'Inactive'; ?></td>
            <td><?= $permissions[$user->userPermissions] ?></td>
            <td class="">
                <a href="<?=$editLink;?>" role="button" class="btn btn-light btn-sm">
                    <i class="fa fa-pencil" aria-hidden="true"></i> Edit
                </a>
                <a href="#" data-id="<?= $user->userID ?>" data-mail="<?= $user->userLogin ?>" role="button" class="btn btn-light btn-remove btn-sm">
                    <i class="fa fa-times" aria-hidden="true"></i> Remove
                </a>
                <?php if($user->userBanned == 0):?>
                <a href="#" data-id="<?= $user->userID ?>" data-mail="<?= $user->userLogin ?>" role="button" class="btn btn-light ban-button btn-sm">
                    <i class="fa fa-ban" aria-hidden="true"></i> Deactivate
                </a>
                <?php else:?>
                    <a href="#" data-id="<?= $user->userID ?>" data-mail="<?= $user->userLogin ?>" role="button" class="btn btn-light unban-button btn-sm">
                        <i class="fa fa-check-circle" aria-hidden="true"></i> Activate
                    </a>
                <?php endif;?>
            </td>
        </tr>
        <?php endforeach;?>
        <?php endif;?>
        </tbody>
    </table>
    <?php $this->setNavigation();?>

</div>