<?php
/*
 * core controller
 */
Class Controller{
    /**
     * @var $model object
     */
    public $model;

    /**
     * @var $view object
     */
    public $view;

    /**
     * @var $utility Object
     */
    public $utility;
    public function __construct(){
        if (session_status() == PHP_SESSION_NONE) {
            session_start();
        }
        include_once LIBS.'infusionsoft/isdk.php';
        $this->utility = new Utility();
        $model = 'model_'.get_called_class();
        $modelFile = strtolower($model.'.php');
        if (file_exists(MODELS.$modelFile)){
            $this->model = new $model();
        }
        $view = 'view_'.get_called_class();
        $viewFile = $view.'.php';
        if (file_exists(VIEWS.$viewFile)){
            $this->view = new $view();
        }else{
            $view = 'view_index';
            $this->view = new $view();
        }
        return true;
    }

}