<?php
class Current{
    protected static $_instance = null;
    protected static $activeNav;
    protected $user;
    protected $page;

    protected function __construct()   {
        return true;
    }

    protected function __clone(){}

    public static function getCurrent(){
        if (!self::$_instance instanceof self){
            self::$_instance = new self;
        }
        return self::$_instance;
    }

    /**
     * @var user object
     */
    public function setUser($user){
        $_SESSION['user'] = serialize($user);
    }

    public function removeUser(){
        setcookie("RWT_E_UID", "", time()-3600,'/');
        unset($_COOKIE['RWT_E_UID']);
        unset($_SESSION['user']);
    }

    /**
     * @return object
     */
    public function getUser(){

        if($_SESSION['user']){
            return unserialize($_SESSION['user']);
        }
        if(!$_SESSION['user'] && $_COOKIE['RWT_E_UID']){
            $user = new model_user();
            $currentUser = $user->getUserByCookie($_COOKIE['RWT_E_UID']);
            if(!$currentUser){
                return [];
            }
            $this->setUser($currentUser);
            //var_dump($_SESSION['user']); exit;
            return $this->getUser();
        }
        return [];
    }

    /**
     * @param $active string
     */
    public static function setActiveNav($active){
        self::$activeNav = $active;
    }

    public static function getActiveNav(){
        return self::$activeNav;
    }

}