<?php
class Log {
    private $file;
    private $regsFile;
    public function __construct() {
        $date = date("Y-m-d");
        $this->regsFile = $_SERVER['DOCUMENT_ROOT'].'/logs/log-regs.csv';
        $this->file = $_SERVER['DOCUMENT_ROOT'].'/logs/log-'.$date.'.log';
        return true;
    }

    public function add($message){
        $currentUser = Current::getCurrent()->getUser();
        $userLogin = $currentUser->userLogin;
        $message =
            'DATE: '.date("Y-m-d, H:i:s").PHP_EOL.
            'USER: '.$userLogin.PHP_EOL.
            'TYPE: MESSAGE'.PHP_EOL.
            'MESSAGE: '.$message.PHP_EOL.
            "-------------------------".PHP_EOL;
        file_put_contents($this->file, $message, FILE_APPEND);
    }

    public function logError($message){
        $currentUser = Current::getCurrent()->getUser();
        $userLogin = $currentUser->userLogin;
        $message =
            'DATE: '.date("F j, Y, g:i a").PHP_EOL.
            'USER: '.$userLogin.PHP_EOL.
            'TYPE: ERROR'.PHP_EOL.
            'MESSAGE: '.$message.PHP_EOL.
            "-------------------------".PHP_EOL;
        file_put_contents($this->file, $message, FILE_APPEND);
    }

    public function addReg($contact){
    	$firstName = $contact['firstName'];
    	$lastName = $contact['lastName'];
    	$email = $contact['email'];
    	$phone = $contact['phone'];
    	$contactId = $contact['id'];
    	$source = $contact['source'];
	    $date = date("Y-m-d");

    	$message = $contactId.','.$firstName.','.$lastName.','.$email.','.$phone.','.$source.','.$date.PHP_EOL;
    	file_put_contents($this->regsFile,$message,FILE_APPEND);
    }
}